--------------	
CHANGE HISTORY	
			Kodi-Addon-ARDundZDF -  (vormals Plugin für den Plexmediaserver)
			Releases: https://github.com/rols1/Kodi-Addon-ARDundZDF/releases/latest
			Nachfolger von Plex-Plugin-ARDMediathek2016
--------------		
			Kodi-Forum, Support:
			https://www.kodinerds.net/index.php/Thread/64244-RELEASE-Kodi-Addon-ARDundZDF
			statt Handbuch: https://github.com/rols1/Kodi-Addon-ARDundZDF/wiki
			max_col 97	
--------------

01.02.2026	5.3.9
			Main_NEW(ARDnew): Menü "Bildgalerien Das Erste" entfernt (keine Daten mehr).
			ARD_FlatListRec: unerlaubte Zeichen aus Titel entfernt (repl_json_chars).
			Kika_Live (Modul childs): LF's aus Info-Text bei Sendeschluss entfernt.
			time_translate (util): Tabelle summer_time mit Daten für 2027 ergänzt. 
			ZDF_getApiStreams: bei prod-futura-Url scms_id immer aus der Url ermittelt,
			Muster-Ergänzung bei HD-Auswertung: 'quality":"hd' (zu 'hd":true'), Ersatz
			kleinerer MP4_List durch größere HBBTV_List.
			ZDF_getApiStreams, ZDFSourcesHBBTV: Filterung Videoquellen gemäß DGS-Setting
			und Verfügbarkeit (pref_DGS_ON, DGS_use) in HLS- HBBTV- und MP4-Liste.
			ARDStartVideoHLSget, ARDStartVideoHBBTVget, ARDStartVideoMP4get: Filterung
			Videoquellen gemäß DGS-Setting und Verfügbarkeit (pref_DGS_ON, DGS_use) in
			HLS- HBBTV- und MP4-Liste (ähnlich ZDF).
			GetContent (Modul arte): Leer-Verweis beim api hbbtv-mw in Kat Geschichte 
			festgestellt (Geschichte nach Themen: /api/1/details/HIS/3) - ohne Fix.
			ARDStartVideoMP4get, ARDStartVideoHBBTVget (Modul ARDnew): Ausfilterung
			unpassender Streams (<OV>, Hörfassung) bei standard/deu.			
			PlayVideo_Direct (util): Ersatz leere Stream_List durch HBBTV_List (die
			frühere Verkettung beider Listen kann zur falschen Auswahl bei mehrsprachigen
			Streams führen).
			ARDSportWDRArchiv: alle fanarts und thumbs auf Logo der Sportschau gesetzt.				

12.01.2026	5.3.8
			getRedirect (util): in Rückgabe HTTP-Status-Code ergänzt, bei Code != 200 
			immer mit leerer Url, Formatliste für Streams ergänzt.
			thread_getfile: url_check (getRedirect) wg. Problem mit Streamerkennung 
			ausgesetzt (bei Single- und Sammeldownloads).  
			ZDF_Graphql_WebDetails: url_check durch getRedirect ersetzt.
			Ersetzung url_check durch getRedirect: ZDF_Graphql_WebDetails, ZDF_Teletext,
			get_streams_api_v2 und EPG_Today (beide arte), ARDSportgetEventlist,
			Parseplaylist, get_summary_pre, get_streams_from_link.
			set_lang (Modul arte): Call Main_arte nach Änderung der Sprache.
			Kontextmenü Radio-EPG (EPG-Modul): leeres Ergebnis abgefangen (Exception,
			da Param ID fehlt).
			ZDF_getApiStreams: Trennung get_ptmdTemplate from_futura/from_Web (um 
			futura-Ergebnis zu erhalten), Notification für fehlende Livestreams 
			angepasst.
			ZDF_StartWebCluster: DGS-Kennung aus ptmdTemplate entfernt (erstes
			ptmdTemplate immer mit "_dgs").
			thread_getepg (Modul EPG): Aktiv-Signal EPGACTIVE vorverlegt, um Doppelstart
			zu vermeiden. Puffer (- 12 Std) ergänzt für rechtz. Nachladen (- 1 Std. bei 
			12-Std.Setting).
			MediathekViewWeb-Suche (Modul yt): ergänzt: description (zusätzlich zu title,
			topic), future=true (vorher false), s. issue #49. Aus yt-Modul entfernt:
			yt_get, get_stream_details und get_duration.
			transl_json: Anpassungen für franz. Akzents.

01.01.2026	5.3.7
			ZDF_WebMoreSingle, ZDF_WebMoreVideo entfernt: mit ZDF_StartWebCluster und
			Folge-Calls obsolet).
			ZDF_StartWebCluster: Buttons "Terra X plus Schule" und "Videos in UHD-
			Qualität" von ZDF_PageMenu hierher verlagert.
			ZDF_RubrikSingle: Verteilung externer Videos (Marke GraphqlWithExternalId,
			z.B. von ARD) differenziert nach json-key "type". "video" > ZDF_getApiStreams,
			Rest nach ZDF_KatSeriePre (Serie oder Empfehlungen).
			ZDF_getApiStreams: Fallback für futura-api-Call ohne ptmdTemplate - Switch zu
			ptmdTemplate-Suche im Web. Sonderfall: streamApiUrlAndroid als ptmdTemplate,
			Sicherung enthaltene formitaeten für ev. Fehlschlage Graphql-Call in
			videodat_page.
			ZDF_KatSerie: LF in descr durch "|" ersetzt (router-kompatibel).
			ZDF_KatSeriePre, ZDF_StartWebCluster: router-inkompatible Zeichen in title
			ersetzt. 
			ZDF_KatSeriePre: beim Fehlen der Serie Button für ev. einzelnes enthaltenes
			Video ergänzt (ptmdTemplate).
			ZDF_FlatListEpisodes: Button "Neueste Serie anzeigen" mit Code für Abgleich
			mit neuer Serie entfernt (obsolet mit neuer Streaming-Plattform). Ergänzt:
			notification, falls Staffel-Folgen-Muster fehlen (wie ARD_FlatListEpisodes),
			Sortierung ergänzt analog ShowFavs und ARD_FlatListEpisodes.
			ZDF_getKat_content: Ersetzung '{playerId}' durch akt. ZDF-Player, da die 
			Klammern in der Merkliste (ShowFavs) als Begrenzer interpretiert werden.
			ZDF_Graphql_WebDetails: url_check vorverlagert, um neue Url auch beim Nach-
			laden (Dict "load") zu nutzen.
			ARD_FlatListEpisodes (Modul ARDnew): Sortierung analog ShowFavs und
			ZDF_FlatListEpisodes (Haupt-PRG) ergänzt, hier nach Titel, absteigend).
			Zusätzlich Notification, falls Staffel-Folgen-Muster fehlen (wie 
			ZDF_FlatListEpisodes.
			PlayAudio (util): url_check abgeschaltet wg. Problemen mit requests-Modul.

21.12.2025	5.3.6
			ZDF_PageMenu: Button "ergänzende Rubriken der Webseite" entfernt, Cluster-
			Liste der Startseite via neuer Funktion ZDF_StartWebCluster einschl. für
			Live-Streams ZDF_Graphql_Livestream.
			ZDF_RubrikSingle: Linefeed in Param tag entfernt (error in router).
			python2.7-Anpassungen: ZDF_get_img, ZDF_get_naviKat, ZDF_KatSerie,
			ZDF_AZList, ZDF_StartWebCluster.
			ZDF_KatSeriePre: Unterdrückung doppelter Staffel-Listen via skip_list.
			thread_getepg: Stempel EPGACTIVE anhängig von erfolgreichem EPG-Lauf.
			ZDF_Kat: neue Kat "Sendung verpasst" in skip_list (eigenes Menü). 
			PlayMonitor: try-/except-Block für get_streamurl mit Notification
			(für fehlende Videos).
			ZDF_getApiStreams: Notification statt Dialog bei fehlendem Stream, um 
			Playlist nicht zu blockieren.
			EPG_Today (Modul arte): None-Ergebnis für shortDescription abgefangen.

30.11.2025	5.3.5
			EPG_Today (Modul arte): Anpassungen für python 2.7 (py2_encode), Leer-
			Param mediatype ergänzt.
			PlayMonitor (Modul playlist): für get_streamurl-Call fehlenden Param title 
			ergänzt, FLAG_OnlyUrl entfernt vor PlayVideo-Call (sonst Irrläufer-Abbruch 
			in PlayVideo möglich).
			PlayVideo (util): Param-Rückgabe play_time,video_dur (0,0) bei Irrläufer-
			Abbruch ergänzt.
			EPG (Modul EPG): "None" in summary ersetzt durch "?".			
			ZDF_RubrikSingle: Redirect-Call für Url's aus ZDF_WebMoreSingle (Beispiel:
			www.zdf.de/kurzfassungen/fifa-weltmeisterschaft-live-livestream-highlights-100).
			ZDF_get_img: erweitert für img in Webseite, z.B. für ZDF_Graphql_WebDetails
			(dort angepasst für Rückgabe-> ZDF_KatSeriePre).
			ZDF_KatSeriePre: Blockbegrenzer "node" für Season-Auswertung ergänzt, um
			unerwünschten newContentStatus aus Datenmüll zu vermeiden.
			ZDF_getKat_json: Abgleich "editorialDate" (Graphql-json) für Kennzeichnung
			"NEUER INHALT" von 2 auf 3 Tage geändert, Anpassung label in 
			ZDF_KatSerie (fett, NEU angehängt), ZDF_Episodes_Graphql, ZDF_AZList
			ZDF_AZList: nach ZDF-Änderung Austausch extensions (persistedQuery ->
			clientLibrary).						
			ZDF_getKat_json umbenannt -> ZDF_getKat_content_details.
			ZDF_Graphql_get_json umbenannt -> ZDF_Graphql_get_seasons.
			ZDF_WebMoreSingle: Nutzung ZDF_Graphql_WebDetails, Nutzung img + tag aus
			ZDF_WebMore.
			ZDF_get_content: Abgleich "editorialDate" (futura-json) für Kennzeichnung
			NEU auf Startseite, Anpassung title und label in ZDF_PageMenu, ZDF_Rubriken,
			ZDF_RubrikSingle. Anpassung python 2.7 in ZDF_PageMenu.
			Radio-Livestreams: in ARDAudioEventStreams fehlende Icons in Buttons der 
			Audiostreams ergänzt.
			ARDVerpasst_get_json (Modul ARDnew): Param link leer vorbelegt (network_error
			möglich) und Abgleich Livesender mit pubServ statt sid, Anpassung python 2.7.
			ARDSportMediaPlayer: vom WDR geänderte Bild-Auswertung angepasst, Anpassung
			python 2.7.

16.11.2025	5.3.4
			ZDF_Verpasst: Extraktion Titel einschl. Episodentitel aus Bildtext (img_alt,
			Problem: verschiedene Hochkommata), Fix fehlendes Bild bei Partnersendern.
			ArteStart (Modul arte): Mehr-Button ergänzt nach arte-Begrenzung auf 10 
			Beiträge.
			Arte-EPG: überarbeitet - ausgelagert von GetContent, Code bereinigt, JETZT-
			Kennzeichnung, Rückgabe akt. Sendung (OnlyNow) umgestellt von sticker-
			Auswertung auf Zeitabgleich (time_translate, time_calc_diff), Anpassung
			get_live_data, pageProps-Values (alte Web-json-Inhalte) entfernt.
			ZDF_KatSeriePre: Kennzeichung neuer Staffeln via Schlüssel newContentStatus
			im Web mit fett: ("NEU").
			ZDF_getKat_json: Kennzeichung Infotext in Liste einer Kategorie  mit fett: 
			"NEUER INHALT" via Schlüssel "editorialDate", falls jünger als 2 Tage.
			addDir (Modul util): Kontext-Menü für Seriensuche zum Video ergänzt mit
			fparams_ShowSeason, neue Funktion Context in Modul tools (direkter Call von
			ZDF_KatSeriePre via RunAddon) - Github-issue #45.
			Serie via Kontextmenü zeigen (ARD, ZDF): Änderung setting.xml Kategorie
			"Modul-Einstellungen" (pref_more -> pref_show_season).
			ARDStartSingle: Code Serien_Mehr_Test nach Wegfall pref_more und Einführung
			Kontextmenü für Seriensuche entfernt.		

02.11.2025	5.3.3
			MVWSearch (Modul yt): Auswertung totalResults an geändertes Format im Web
			angepasst.
			GetContent (Modul arte): EPG-Daten in ["zones"][0] gefunden statt wie vorher
			in ["zones"][1].
			Kategorien (Modul arte): Anpassung an arte-Umstellung "Entdeckung der Welt"
			(DIS -> DEC). 
			phoenix_Search (Modul phoenix): sender auf ard gestellt, da phoenix ohne 
			Ergebnisse.
			get_live_data (Modul phoenix): Anpassung an geänderte EPG-Daten.
			ZDF_KatSerie (Beta-Zielfunktion für ZDF_AZList): Ziel-Url zdf.de angepasst
			mit "/serien/" + canon_id, ZDF_getKat_content und ZDF_getKat_json erweitert
			für EPISODE (mode="movie").
			ZDF_Graphql_WebDetails: Url-Check ergänzt (z.B. für zdf.de/serien/frontal ->
			zdf.de/magazine/frontal.
			ZDF_WebMoreSingle: Anpassung nicht funktionierender doc_id's im futura-api
			(bisher filme-104 in doc_id_list).
			LiveRecord (util): vergessenen Call url_correction entfernt (issue #44).
			get_summary_pre (util): Für "ZDF" "u003cstrong" und "u003c/strong" entfernt,
			in summ3 2xLF durch "|" ersetzt.
			time_translate (util): Sommerzeit-Daten für 2022 entfernt.
			ZDF_KatSub: Fix Anzeige der aktuellen Kategorieim Infotext des Buttons
			Subnavigation).

13.10.2025	5.3.2
			url_correction (util): entfernt (war früher für priv. TV-Sender nötig, z.
			B. münchen.tv, Leipzig Fernsehen).
			textviewer (util): neue zentrale Funktion für xbmcgui.Dialog().textviewer
			mit Berücksichtigung PYTHON2 (ohne usemono).
			ARDStartVideoHLSget: Auswahl Streamvarianten geändert (nur 1 Stream pro  
			Variante, Filterung nach OV, Hörfassung oder DGS in Titel).
			ZDF: Aufruf A-Z-Seiten umgelegt auf Kategorien (Graphql) - Anpassungen in
			ZDF_Kat (Switch -> ZDF_AZ), ZDF_Graphql_WebDetails (Rückgabe der TabIndices
			in coll_id, mode=CatalogTabsConnection), ZDF_getKat_content (Infotext),
			ZDF_AZ (erneuert), ZDF_get_contentAZ entfernt, Nutzung ZDF_getKat_content,
			Auswertung via Graphql (Ziel-Funktionen noch futura-api, Ausnahme: 
			metaType=PLATFORM_BRAND), Cache entfällt (Datenabfrage nur pro Buchstabe).
			settings.xml: Text pref_use_epg geändert ("dauert länger" -> "(EPG)").
			ZDF_RubrikSingle: fehlerhaft AZ-Beiträge -> leerer json-Satz in ZDF_AZList 
			-> ZDF_KatSub.
			Haupt-PRG: textviewer-Aufrufe angepasst für zentrale Funktion in util.
			Haupt-PRG, Modul tools: neuer Button für EPG-Refresh, neue Funktion
			refresh_epg, neues Icon icon-epg-tools.png.
			EPG-Modul: nur noch 3 Tage EPG (tvtoday liefert nur noch 1 Tag pro Zugriff),
			Setting Aktualisierungs-Intervall auf 3 Tage begrenzt, Auswertung auf json
			umgestellt, Infotext erweitert, get_api_data (vorher get_data_web) erneuert.
			PlayVideo (util): UT-Abschaltung (showSubtitles(False)) auch ohne Vorliegen
			einer UT-Datei (soll auch bei eingebetteten UT-Streams wirken).

03.10.2025	5.3.1
			get_content_json (TagesschauXL): Auswertung Sendedatum ergänzt, relevant für 
			ARDSportLive.
			repl_json_chars (util): Entfernung Steuerzeichen \t hinzugefügt (relevant für
			ARD-Serien).
			get_summary_pre (util): weitere html-Markierungen im Info-Text entfernt (im
			Abschnitt ZDF).
			SendungenAZ_ARDnew: Pagination angepasst (next_path fehlt in json), Verzicht 
			auf Call get_pagination.
			ARDStartVideoHLSget: Austausch Streams an ARD-Änderung angepasst ("audio-
			description/deu" / "standard/deu").
			PlayVideo_Direct (util): Berücksichtigung zweier auto-Streams ohne Auflösungen,
			Verwendung des 1. Streams (i.d.R. standard/deu).
			ARDStart: Startseite nach ARD-Änderung erneuert, ID "TOP_title" für
			get_json_content (Markierung Stage-Titel), Anpassung in img_load.
			get_json_content (ARDnew): bei leeren Inhalten Hinweis auf Produzent.
			ZDF_Episodes_Graphql: nach ZDF-Änderung Suche noch '"Season\",\"id"'-Blöcken 
			auf die gesamte Webseite ausgedehnt.
			ZDF_Kat: A-Z- Ziel verlegt von ZDF_RubrikSingle zu ZDF_AZ (einheitl. Buchsta-
			benliste).
			time_state (util): Funktion entfernt (obsolet, Problem datetime.strptime).
			EPG-Modul: Anpassung an geänderte Webseite von tvtoday (EPG, get_data_web).			

15.09.2025	5.3.0
			MVWSearch: keine Anzeige der Ergebnisse, falls der Key filmlisteTimestamp
			leer bleibt.
			Verpasst (my3Sat): Datumformat an ZDF_Verpasst angepasst.
			ARDVerpasst (ARDnew): Datumformat + JETZT-Markierung/Live-Streamstart an 
			ZDF_Verpasst angepasst.
			ARDVerpasst_get_json: Sender KIKA mit upper-Funktion erfasst ("id": "kika").
			MakeJpegNfo (util): urlretrieve lokaler Bilder beim Download verhindert 
			(error in thread_getfile_error), sonst Error bei Setting "nfo- und jpeg-Datei
			erzeugen".
			ArteStart (Modul arte): Button "Programme in UHD-Qualität" wegen fehlender
			UHD-Angebote deaktiviert.
			ZDF_PageMenu: Button "Videos in UHD-Qualität" hinzugefügt (-> ZDF_KatSub).
			Haupt-PRRG kleine Aufräumaktion: veraltete Kopfdokus mit Hinweis auf Archiv 
			entfernt (z. Bsp. Parseplaylist).
			ZDF_Recommendation: Param nogui ergänzt, Anpassung ZDF_WebMoreSingle (für
			Folgebeiträge mit nur 1 Beitrag), Sound in Notification deaktiviert (stört
			bei Einzelbeiträgen).			
			test_downloads: nicht mehr genutzten Param high entfernt, dto. aus Calls.			
			ARDSportWDR: neuer Event-Button für Leichtathletik-WM 2025 in Tokio.
			get_foruminfo (Modul tools): Sonderzeichen enfernt (unescape).

02.09.2025	5.2.9
			ZDF_getApiStreams: Ausgabe HLS_List_end verschoben (if dgs_url:), sonst
			network error bei leerer HLS_List möglich.
			ZDF_Graphql_Video: Graphql-Code überarbeitet, Nutzung ZDF_Graphql_WebDetails
			für Params Webseite, ZDF_getKat_json für Params ZDF_getApiStreams.
			list_WDRstreamlinks: Anpassung an Webänderungen für WDR Lokalzeit Live-
			streams.
			ZDF_RubrikSingle: Cluster ohne Teaser aus der Liste entfernt, reference-Url
			(Bsp. Weiterschauen) funktioniert nicht mehr.
			Main_ZDF: für Menü Barrierearm Ziel auf ZDF_Barrierearm geändert (Angleichung
			an Aufruf aus Kategeorien).
			ZDF_Episodes_Graphql: Anpassung an unterschiedliche  Webparameter für Staf-
			feln.
			ZDF_Verpasst: erneuert für Graphql (ähnlich ZDF-Web Live&TV), Anpassungen in
			ZDF_VerpasstWoche (Datumformate, Auswahl "Morgen"), ZDF_Verpasst_Filter
			(Stationsliste, Default-Station).
			ARDVerpasst: um Auswahl für "Morgen" ergänzt.
			update_single (Modul EPG): nach Änderung des Webformat bei Github Verzicht
			auf Download neuer Module, RepoList entfällt, nur noch direkter Abgleich
			Datei lokal / Datei Repo.

24.08.2025 	5.2.8
			ZDF_RubrikSingle: Austausch Serien-ID docObject["id"] gegen docObject
			["brandId"]. "id" nicht sicher (Bsp. "Die Bergretter).
			ZDF_RubrikSingle: Entscheidung bei leerem Cluster und externalId in 
			futura-api - bei  "ard_video_ard" -> ZDF_Graphql_Video, sonst ->
			ZDF_Episodes_Graphql (Step1, Step2).
			ZDF-Serien: zusätzlicher Graphql-Check und Zusatzbutton "Neueste Serie 
			anzeigen", falls neue Serie zusätzlich zum futura-api gefunden wird,
			neue Funktionen ZDF_Episodes_Graphql und ZDF_getKat_json, Anpassungen
			in ZDF_getKat_content, ZDF_FlatListEpisodes.
			get_content_json (TagesschauXL): Anpassung an geänderte Bilddaten.
			ARDSportWDR: Aktualisierung Event-Archiv, neuer Event-Button für DFB-
			Pokal 2025, Aktualisierung der Bilddaten autom. durch get_content_json.
			ZDF-Kategorien: Graphql-Calls + Auswertung Web-Params verbessert (un-
			quoted statt quoted/replace).
			ZDF-Barrierefrei erneuert: Videos der 3 Gruppen Audiodeskription, 
			Untertitel, Gebärdensprache fehlten im futura-api. Neue Funktion 
			ZDF_Barrierearm, Auswertung der 3 Gruppen als Subkategorien (Graphql-
			Calls).
			ZDF_getApiStreams: erweitert für DGS-Streams über streamApiUrlDgsAndroid,
			Einfügen eines vorhandenen DGS-Streams in die HLS-Liste (HBBTV-Liste
			enthält nur bei einigen DGS-Sendungen DGS-Streams).
			url_check: Streamformate für DGS-Streams erweitert (aktuell: ".mp4",
			".webm", ".vp9", ".mp3").

09.08.2025 	5.2.7
			ZDF_Kat: utf-8-Behandlung für pos2-Marker (verhindert Ausfall ZDF-
			Kategorien bei PY2).
			ZDF_RubrikSingle: Erweiterung für einzelne externe Beiträge (ARD) ohne 
			direkten Quellenbezug (key cluster leer) - Nutzung Graphql-Call mittels 
			sharingUrl (Web), neue Funktion ZDF_Graphql_Video.
			ZDF_WebMore: nach Webänderung Austausch Blockmarker "noopener noreferrer"  
			gegen 'data-testid="teaser-tile' (wie schon ZDF_Kat, ZDF_Kat_Plus).
			ZDF_get_content: nicht numerische seasonNumber abgefangen (try/except).
			ZDF_Search: Fett-/Color-Markierungen aus Titeln der Mehr-Suche entfernt.
			ARDStartSingle: Info "keine Videoquellen gefunden" erweitert mit "Video 
			noch nicht oder nicht mehr verfügbar:", z.B. bei FSK16-Inhalten.
			ZDF_getApiStreams: router-inkompatible Zeichen aus Infotext (html, Escape-
			Zeichen) entfernt (repl_json_chars, unescape).
			Redirects-Behandlung: Verwendung python-requests statt httplib2 - Anpassung
			addon.xml (import addon="script.module.requests"), Modulkopf util (import 
			requests in try/except-Block wegen mögl. exception: "future feature 
			annotations is not defined" bei python 3.0 - 3.6), Funktion getRedirect 
			(httplib2-Code -> requests-Code, damit Verzicht auf einzelne HTTP-Error-
			Behandlung).
			url_check (util):: Param stream für mp4- und mp3-Url's auf True gesetzt, sonst 
			Klemmer durch requests in getRedirect).
			get_img_pre (Modul arte): HTTP-Error 404 für urlretrieve abgefangen.
			get_page (util):: fehlerhafte Url abfangen (Url ohne http).
			MausLive (Modul childs): Auswertung an geändertes json-Format angepasst.
			
			
07.07.2025 	5.2.6
			Main_ZDF: Menü ZDFinternational entfernt (zu wenig Videos).
			ZDF-Kategorien: nach ZDF-Änderung (3-Teilung) Anpassung in ZDF_Kat (2
			Zusatzbuttons), neue Funktion ZDF_Kat_Plus.
			Ergänzende Rubriken der Webseite: Fallback-img bei fehlenden 1280w-img's
			ergänzt - ZDF_WebMore und ZDF_WebMoreSingle angepasst.
			Modul EPG (Radio-EPG): im Titel '", "' ersetzt mit "," für NDR 90,3.
			get_content_json (TagesschauXL): geänderte img-Format angepasst (ohne
			Bilder in ARDSportLive, ARDSportMedia und TagesschauXL.get_VideoAudio).
			get_summary_pre (util): CR, LF aus ZDF-summ-Text entfernt.
			ZDF_get_content: fehlende Bilder im futura-Api ersetzt durch dummy
			(icon-bild-fehlt.png), bei Serien Headline im Titel ergänzt (nicht im 
			Menü "komplette Liste").
			valid_title_chars (util): Sonderbehandlung no-break-Space (vor join 
			erforderlich) - relevant für arte-Beiträge.
			ARDSportWDR: Events "Tour de France 2025", "UEFA Frauen-EM 2025" auf 
			der Startseite ergänzt.
			ARDSportWDRArchiv: veraltete Beiträge entfernt.
			ZDF_Kat, ZDF_Kat_Plus: nach Webänderung Austausch Blockmarker "noopener 
			noreferrer" gegen 'data-testid="teaser-tile', Austausch 'A - Z' ->
			'A-Z' in der Liste der Rubriken ohne Genre-ID.

15.06.2025 	5.2.5
			ZDF_KatSub: Mehr-Seiten (Pagination) für ZDF-Kategorien ergänzt, Seiten-
			zahl an Web angeglichen (24).
			ZDF_WebMoreSingle: Zielsteuerung an Web angeglichen (3 Alternativen), 
			Details s. Kopfdoku.
			ZDF_WebMoreVideo: Button für enthaltenes Video, Streamlisten, Details 
			s. Kopfdoku.
			Main_ZDF: Hinweis auf Wegfall des Menüs ZDFinternational ergänzt.
			ZDF_search_button: Suchbegriff bereinigen (Titelvorspann, Ersetzungen).
			ARDSportMedia: Linefeeds aus Plot entfernt (router-inkompatibel bei Call
			AudioPlayMP3 und PlayVideo).
			get_streams_api_v2 (arte): kompl. Url im RESOLUTION-Abschnitt der m3u8-
			Datei berücksichtigt (sonst falsch zusammengesetzte Url möglich).
			ARDSportMedia (sportschau.de): Param mediatype für Audiobeiträge entfernt
			(Sofortstart schlug fehl), Info "Download nicht möglich" für Videobeiträgen
			ergänzt.
			ARDSportVideo: falsche Zielfunktion PlayVideo nach PlayAudio korrigiert.
			ARDSportLive: Extrakt Playerdaten (data-v=), Auswertung umgestellt von Web
			auf TagesschauXL.get_content_json (wie ARDSportMedia).
			Audiothek: Radio-EPG ergänzt (Gesamt-Button, Einzel-Kontextmenü) - neue
			Funktion AudioSenderEPG, Audio_get_stream, Anpassungen in addDir (util),
			AudioStartLive und Modul EPG.
			get_content_json (TagesschauXL): Kennzeichnung "Audiostream" in Titel ent-
			fernt (in Info-Text bereits enthalten).

14.05.2025 	5.2.4
			AudioStart: versehentlich gelöschtes xbmcplugin.endOfDirectory wieder
			hergestellt.
			KikaninchenFilme (childs): bessere Form für Videodauer (79:48 -> 1:19:48).
			ZDF-Kategorien: Ersetzung Nachrichtenbuttons mit 1 Folgeseiten-Button,
			zusätzl. Funktion ZDF_KatNachrichten für die Folgeseiten mit zusätzl.
			Nachrichtenformaten (moma, mima, länderspiegel, ..)
			MVWSingleVideo (yt, MediathekViewWeb-Suche): Auswertung der Auflösungen
			für unterschiedliche Url-Markierungen erweitert (Näherungswerte).
			ZDF_getApiStreams: path-Prüfung auf "ngplayer" (obsolet) ersetzt durch 
			"api.zdf.de".
			ZDFSourcesHBBTV: fehlenden json-key "streams" abgefangen (für Nutzung
			durch ZDF_Graphql_get_json bei Mehrfach-Beiträgen erforderlich).
			ZDF-Anpassungen: zusätzl. Button "ergänzende Rubriken der Webseite" in
			ZDF_PageMenu für die Startseite, neue Funktionen  ZDF_WebMore, 
			ZDF_WebMoreSingle, ZDF_WebMoreVideo, ZDF_Graphql, ZDF_Graphql_get_json
			(Nutzung ZDF_getKat_content), Änderungen in ZDF_KatSub		

27.04.2025 	5.2.3
			get_streamurl (Modul strm): Absicherung gegen veraltete HLS-/MP4-Listen
			(Titel-Abggleich), FLAG_OnlyUrl zusätzlich vor RunScript eingefügt.
			PlayVideo (Modul util): Abbruchbedingung FLAG_OnlyUrl_detect eingefügt für
			Thread-Irrläufer aus strm-Modul.
			ZDF-Kategorien: Verwendung von video["canonical"] statt "canonical" bei
			Einzelbeiträgen (typ "MOVIE"). Das vorherige Löschen von "-movie-" in 
			"canonical" führt bei ARD-Beiträgen zu ungültiger Url. Anpassungen in
			ZDF_getKat_content und ZDF_KatSub. 
			ZDF_KatSub: Anpassung für PY2 - py2_encode(img).
			Video-Downloads: zusätzliche nfo- und jpeg-Datei im Downloadverzeichnis 
			(Nutzung durch Kodi-Bibliothek) - neue Funktion MakeJpegNfo (util),
			Anpassungen in DownloadsList (GetDetailText), thread_getfile (MakeJpegNfo),
			settings.xml ("nfo- und jpeg-Datei .. erzeugen"), DownloadTools (für PY2
			leeeres Setting('pref_VideoDest_path') mit userdata belegt + shares mit
			"video" vorbelegt, DirectoryNavigator (Modul util, PLog shares).
			ZDF_KatSub, ZDF_getKat_content: Abfangen von null in obj["video"] -> 
			getKat_error -> continue.
			AudioSearch_cluster: leere nodes überspringen (index-out-of-range-error).
			Audiothek: Menü, Funktionen und Icon für podcast.de entfernt (Auswertung 
			nach Umstellung der Webseite auf Java-Funktionen zu aufwändig).
			get_summary_pre (util): False-Rückgabe durch url_check berücksichtigt (falls
			die Web-Url für Inhaltstexte nicht existierte, startete das Video nicht).
			get_playlist_img (util): get_{}streamlinks vor die Playlist-Schleife verlagert
			(Performance).
			TV-Livestreams Regional: Senderbez. in livesenderTV.xml angepasst (hr-fernsehen 
			-> HR).			

12.04.2025 	5.2.2
			get_VideoAudio (TagesschauXL): Bildbeschreibung ergänzt, Video-/Audio-
			Dauer nicht in json-Daten enthalten.
			VideoTools: Plot für Aufruf PlayAudio ergänzt (tagline + summary kombiniert).
			get_Source_Funcs_ID (Modul strm): Austausch ZDF_getVideoSources (obsolet)
			gegen ZDF_getApiStreams.
			ZDF-Kategorien: Umsetzung neues ZDF-Menü nach Relaunch - neue Funktionen
			ZDF_Kat, ZDF_KatSub, ZDF_get_naviKat, ZDF_getKat_content.
			thread_getfile: nfo-Datei für Video-Downloads ergänzt - neue Funktion
			MakeJpegNfo (util), Anpassung in thread_getfile, nfo-Template-Kopie aus
			strm-Modul.
			 

30.03.2025 	5.2.1
			Main_ZDF: Menüpunkt und Funktionen ZDF_Bildgalerien, ZDF_BildgalerieSingle, 
			ZDF_BilderCollect nach Einstellung durch ZDF entfernt. 
			getRedirect (Modul util): Verlagerung httplib-Import zum Modulkopf (häufige 
			Kodi-Abstürze bei Import in getRedirect).
			Anpassungen nach ZDF-Relaunch: get_summary_pre (getRedirect, Auswertung summ
			erneuert), ZDF_get_content und ZDF_getApiStreams (Korrektur sharingUrl),
			Modul EPG (Korrektur sharingUrl, Abgleich Textlängen).
			ZDF_get_teaserbox: entfernt (obsolet).
			ARD_FlatListRec (ARDnew): mehrfache Klammern bei Staffel-/Folge-Erkennung
			berücksichtigt.
			EPG_ShowSumm (Modul EPG): Hochkommta in Titel entfernt.
			ARD_FlatListEpisodes: Url-Korrekturen (path.replace: embedded, pages, 
			grouping) für vollständiges Serien-Listing.  
			get_ZDFstreamlinks (Modul util): nach ZDF-Relaunch erneuert (apiToken aus
			Webseite, ptmd-Url's hartkodiert).
			arte-Modul: Umstellung auf HBBTV-api außer "Neueste Videos" und Suche (beide
			api rproxy/emac/v4), Kopfdokus vor 2023 im Addon entfernt, Funktionen
			ArteCluster und get_cluster entfernt.		

15.03.2025 	5.2.0
			ArteCluster: Url-Korrektur für Arte Concert (Redirect-Error für 
			../de/videos/arte-concert/)
			get_live_data (Modul arte): Nutzung EPG_Today, Anpassungen in 
			get_live_data, EPG_Today (mode="onlyPage"), GetContent (OnlyNow=True, 
			found_stickers). 
			get_ArtePage: json-error abgefangen (relevant für www.arte.tv/de/live),
			leeres bytes-like object abgefangen.
			getRedirect (Modul util): Abfangen HTTP-Error 309-399 (nicht zugewiesen), 
			relevant für arte.EPG_Today ("Error 309: Unknown").
			url_check (Modul util): Header für Aufruf getRedirect auf user-agent (curl)
			beschränkt, relevant für arte.EPG_Today (s.o.).	

09.03.2025	5.1.9
			ARDSearchnew, SearchARDundZDFnew (ARDnew): Such-Url durch ARD geändert: 
			Zusatz platform=MEDIA_THEK.
			get_next_url (Modul arte): zusätzl. Serverangabe "api-cdn.arte.tv" nach 
			Ersetzung durch "www.arte.tv" entfernt (next_url betroffen).
			get_ArtePage (Modul arte): Verzicht auf GetOnlyRedirect vor Seitenabruf
			(Absturz nach mehrfachem HTTP Error 308 bei ../arte-concert).
			ZDF-Bilderserien: Auswertung neues Datenformat bei zdfheute - neue
			Funktion ZDF_BilderCollect.
			thread_getpic: linken Rand (20 Pixel) für Wasserzeichen in Bilderserien
			hinzugefügt.
			XL_BilderClusterSingle (Modul TagesschauXL): Anpassung an geänderte Bild-
			quelle.
			Audio_get_items_single: HTML-Escapezeichen in Infotext entfernt (unescape).
			Modul childs: Download KiKA-Mal-/Bastel-Bilder (PDF-Format) ergänzt - neue 
			Funktion Kika_Malbilder + Kika_downl_PDF.

05.02.2025	5.1.8
			SingleVideo (Modul arte): Error-Handling für HBBTV-MP4-Quellen (leere Params
			bei json_error_path2).
			GetContent (Modul arte): Video-Pid für Livestreams im EPG ergänzt (TV-Programm
			heute).
			get_next_url (Modul arte): Link korrigiert api-internal.infra-priv.arte.tv
			(neu in Pagination-Abschnitt der Videoquellen).
			Addon-Icons: in tv-privat.png Austausch Logo ntv gegen münchen.tv (Sender ntv
			hier schon lange nicht mehr verfügbar).
			SearchARDundZDFnew (Modul ARDnew): try/except-Block für ReadFavourites (Laden
			der Merkliste) - Absicherung OSError.
			Main_KIKA: Aufruf "Kinderhörspiele der ARD-Audiothek" geändert (von AudioSearch
			zu Audio_get_cluster_rubrik mit Rubrik-Url).
			time_translate (Modul util): Dict summer_time für 2026 ergänzt.
			decode_url (Modul util): optimiert (Einzel-Replace -> Dict-Loop).			
			Audio_get_sendung: Umstellung Auswertung String -> json.loads -> my_jsondump,
			Berücksichtigung json-keys editorialCollection und programSet.
			AudioSenderPrograms: Umstellung Auswertung String -> json in stage1 und stage2,
			CacheTime von 5 min auf 1 Std. erhöht (wie AudioStartLive).
			AudioStartLive: Umstellung Auswertung String -> json, regionale Sender ergänzt
			(z.B. Franken, Mainfranken für Bayern1).

11.01.2025	5.1.7
			SendungenAZ (Modul my3Sat): fehlerhafte Zuweisung path=DreiSat_AZ entfernt.
			CoverSingle (Modul my3Sat): Notification bei fehlenden Beiträgen ergänzt.
			Cache TV-Livestream-Quellen: Bedeutung Setting=0 auf "keine Aktualisierung
			geändert" (bisher "sofortiger Refresh") - Aktualisierung get_ZDFstreamlinks,
			get_ARDstreamlinks und get_IPTVstreamlinks. Zusätzlich default von 20 auf 60
			in settings.xml geändert, Github-Wiki aktualisiert.
			Bereinigung Thumbnails-Ordner: Check + Thread-Call in Haupt-PRG ergänzt,
			Anpassung ClearUpThumbnails (util) für thread-Nutzung.
			SendungenDatum (Modul my3Sat): unescape und repl_json_chars für title.
			Github-Repo: Aktualisierung .github/workflows/codeql-analysis.yml (Wechsel
			codeql-action-v1 -> codeql-action-v2), Avatar durch Foto ersetzt.
			ARDHandleRecents (ARDnew): return "" statt None, um  'NoneType'-Error nach
			Abbruch Suchformular zu vermeiden (network_error_main).
			get_json_content (ARDnew): Plus-Zeichen aus Suchwort entfernt für korrekte
			Markierung.
			ZDF_PageMenu: gefiltert-Zähler fcnt vorbelegt (network_error_main bei
			funk-Startseite).			
			AudioPodcastDeSearch: Vorbelegung path bei fehlender dest_url mit query
			ergänzt.
			AudioPodcastDeSingle: Quotierung für Param title ergänzt.
			Audio_get_nexturl: Ausgabe-Stop für Mehr-Button bei new_offset+1 < elements.			
			ARDSportSliderSingle: Anpassung an Änderung der Webseite (leere Ergebnisse
			für "DIE BESTEN TORSCHÜTZEN".			
			Modul util: doppelte Konstanten PYTHON2 und PYTHON3, Funktionen
			transl_pubDate, getDirZipped entfernt  (obsolet).
			transl_wtag (Modul util): optimiert durch Austausch Liste -> Dict.
			Modul util - Optimierungen: time_state (Ermittlung Param start),
			transl_wtag (Austausch Liste -> Dict), stringextract + blockextract, 
			seconds_translate (Pull Request #41), repl_char (entfernt, obsolet),
			my_rfind (entfernt, obsolet), dialog_fsk (entfernt, obsolet), 
			teilstring (Umstellung find/rfind -> index/rindex), make_mark (lesbarer).
			get_IPTVstreamlinks (Modul util): neue Zeilenendekennung (\n) hinter Stream-
			Url entfernt.

22.12.2024	5.1.6
			Main_3Sat (Modul my3Sat): unerlaubte Zeichen aus Live-Titel entfernt,
			repl_json_chars(title).

			Abspielen geteilter Medienlinks: Request github-issue#40  (Links eingefügt
			durch Yatse, Kore o.ä.). Umsetzung von 2 Schnittstellen (SearchARDundZDFnew
			und router) und der Verteilerfunktion get_streams_from_link. Auswertung
			kodiert für ARD, ZDF, 3sat, arte (ARDnew- > ARDStartSingle, ZDF ->
			ZDF_getApiStreams, 3sat -> SingleBeitrag, arte -> SingleVideo, PlayVideo).
			SingleVideo (arte): ergänzende Param für Call von get_streams_from_link.
			get_summary_pre (util): Anpassung an Ermittlung Inhaltstexte via Kontext-
			Menü (ShowSumm -> EPG.py), einschl. Abfangen fehlendes maturitytRating.
			SingleBeitrag (Modul my3Sat): Inhaltstext aus Webquelle ergänzt, falls 
			Param summ noch leer.
			Search (Modul my3Sat): Abfangen von Medienlinks (nur in SearchARDundZDFnew
			erlaubt).
			ARDStartSingle (ARDnew): Inhaltstext aus Api-Quelle ergänzt, falls umfang-
			reicher als vorher in der Liste ermittelt.
			Ausschluss-Filter (Haupt-PRG): Zähler und Notification ergänzt in  
			ZDF_PageMenu, ZDF_RubrikSingle, ZDF_FlatListEpisodes.
			Ausschluss-Filter (ARDnew): Zähler und Notification ergänzt in
			get_json_content, ARDVerpasst_get_json, ARD_FlatListEpisodes.
			ZDF_getApiStreams: Austausch mit Inhaltstext der Webseite falls größer als
			Inhaltstext in der json-Liste.

08.12.2024	5.1.5
			AudioPodcastDeSingle (Audiothek): Hochkommata entfernt repl_json_chars(Plot).
			Modul my3Sat: Umstellung HBBTV-Api - neue Funktionen Search, PageMenu,
			CoverSingle, CoverElems, sid_to_title, my3sat_content. Hybridfunktion
			SendungenAZ. Umstellung Auswertung profile_url in SingleBeitrag auf json-
			keys (vorherige Stringsuche nach "mainVideoContent" unsicher).
			get_summary_pre (util): Anpassung für my3Sat (im Voraus laden).			

22.11.2024	5.1.4
			time_translate (util): Aktualisierung Sommerzeit-Tabelle (Austausch 2021
			-> 2025).
			Audio_get_homescreen: Url-Slash-Ergänzung bei Rubrik-Url's (relevant bei
			Menü NAVIGATION (Farben-Icons).
			ARDnew: erweitert mit den Bereichen arte, funk, 3sat und KiKA (KiKA, funk  
			ohne Verpasst wie im Web) - alle eingebunden in die Senderwahl, neue Icon 
			ard-kika, ard-funk, Anpassung Senderwahl, Main_NEW (Ausschluss Verpasst
			für KiKA und funk)), ARDSender[].
			get_json_content (ARDnew): Notification ergänzt (keine Videos bei AZ von 
			KiKA und funk möglich).
			repl_json_chars (util): einige html-utf8-Icons ergänzt (Symbole Popcorn, TV 
			usw.).
			changelog.txt : aus Platzgründen geteilt - bis 18.12.2022 V4.5.7 auf Github 
			und Entwickler-PC verfügbar.
			ARDSearchnew: Blanks im Suchstring wieder durch + ersetzt replace(' ', '+'),
			schnellere Serverantwort.
			update_single (EPG.py): Anpassung für Windows an wechselnde Slashes in Datei-
			pfaden in SINGLELIST (Bsp. siehe Kopfdoku).
			AudioPodcastDeSearch (Audiothek): Ergänzung Mehr-Seiten bei Suchergebnissen,
			unerwünschte Zeichen aus Inhaltstext entfernen (unescape Plot).
			ARDSportStart (sportschau.de WDR): Anpassung an Änderungen des WDR am 
			Hamburger-Menü (Navigation), Aufteilung der Startseite in Navigation und
			Liste der Videos/Audios.
			get_next_url (arte): Ermittlung Anzahl der Beiträge auf re.search umgestellt
			(stringextract hier unsicher).
			getRedirect (util): page="" vorbelegt für nicht abgefangene HTTP-Error.
			Kategorien (arte): Pfade hartkodiert, da Ermittlung via Kat_ID (SCSI, DIS,
			HIS usw.) bei 4 Sprachen fehlschlägt (en, es, pl, it). Ergänzung katlinks
			in arte_lang.json).

03.11.2024	5.1.3
			EPG_Search, EPG_Search2: Leerzeichenbehandlung ("+" -> " ") für Suche in 
			EPG.
			Podcast-Erweiterung podcast.de: neue Funktionen AudioPodcastDe*, 
			Anpassungen in Main, AudioStart, AudioPlayMP3, DownloadExtern, DownloadsList,
			VideoTools (suffix .m4a für Podcasts ergänzt), transl_umlaute (u2014),
			transl_json (u0160, 0161).
			home (util), Main, Main_ZDFfunk: Menübuttons für FUNK gelöscht (obsolet).
			Audiothek: sportschau-Url angepasst (HTTP Error 308 für PY2 nicht zu
			korrigieren), neues ARD-Schema ../urn:ard:page:../. Dict-ID-Anpassung an
			Schema (Audio_get_cluster_rubrik).
			getRedirect (util): für PYTHON3 bei Redirect-Errors Umstellung auf httplib2,
			unveränderte Url-Rückgabe bei PYTHON2.

13.10.2024	5.1.2
			my3Sat: unescape(tag) in get_lazyload, unescape(tag) in SendungenAZ
			valid_title_chars (util): Zeichen & durch Zeichen + ersetzt.
			SingleVideo (arte): Ausfall api/opa/v3-Link, Ersatz durch hbbtvv2-Link in
			(path2), Umbenennung Funktion get_streams_api_opa -> get_streams_hbbtvv2
			(neue Auswertung der MP4-Quellen). 
			ARDSportMedia: ID-Austausch TagesschauXL -> ARD für Aufruf AudioPlayMP3.
			Parseplaylist: RBB Brandenburg aus der Liste für Einzelauflösungen entfernt
			(jetzt Mehrkanalstream).
			get_summary_pre (util): Reduzierung der Cachedatei auf Inhaltstext, Kennung
			"V5.1.2_summ:" vorangestellt zur Unterscheidung altes/neues Format, Param 
			page entfernt (obsolet).
			addDir (util): Kontexmenü "Inhaltstext für Video zeigen" (fparams_ShowSumm),
			Zielmodul EPG.py ("ShowSumm" in sys.argv), PY2-Anpassung.
			zusätzliches xbmcgui.ListItem (li2) für eigene Kontextmenüs in addDir:
			get_json_content (ARDnew), 	ZDF_PageMenu, ZDF_Rubriken, ZDF_RubrikSingle,
			ZDF_Verpasst, ZDF_FlatListEpisodes, tivi_Verpasst (childs), Start (3sat),
			Sendereihe_Sendungen (3sat), ARDVerpasst_get_json.
			EPG-Modul: Auswertung Kontextmenü-Inhaltstext ShowSumm" in str(sys.argv) für
			ARD, ZDF, 3sat, KiKA, Anpassung PY2.


22.09.2024	5.1.1
			ARDStart (ARDnew): Unterdrückung json-Key ctaLabel (Links zur Anmeldung im
			Webbrowser).
			ARD sportschau.de (WDR): Aktualisierung Großevents, Menütitel fett auf der
			Startseite (ARDSportStart) einschl. unescape(title).
			get_page (util): autom. Anpassung für alte ZDF-api-Adressen (relevant für
			Merkliste).
			AudioSenderPrograms (Audiothek): Linefeed in Key "synopsis" entfernt (stage1).
			Audio_get_cluster_single (Audiothek): Ausschluss der mp3-Beiträge vom Typ items
			von RadioPlaylist.m3u, Linefeed in tag entfernt.
			Audio_get_items_single (Audiothek): div. Anpassungen für PY2 (py2_encode).
			Main_KIKA (childs): query auf "Kinderhörspiele" (ö statt oe) geändert, um auch 
			die umfangreichen Episoden zu erfassen.
			my_jsondump (util): replacing umgestellt auf json.dumps (utf8-codiert für PY2).
			Settings-Defaults geändert: ARD- und ZDF-TV-Livestream-Quellen -> 20 Tage (vorher
			10), Dateinamen aus dem Titel erzeugen -> true (vorher false).

18.08.2024	5.1.0
			Auswertung ARD Sportschau.de (WDR): neues Funktionsziel ARDSportMedia für 
			Großevents in ARDSportWDR (ohne Cluster), Startseite: neue Funktion
			ARDSportStart s.u., obsolete Funktion ARDSportCluster entfernt.
			ARDSportMedia: neu - Extrakt sämtlicher Playerdaten (data-v=), Auswertung
			in TagesschauXL.get_content_json, doppelte Stream-Url unterdrückt.
			get_page (util): compressed-Behandlung für Stufe 2 (page2) - relevant für 
			json-Daten. Decoding für Stufe1 und 2 an das Funktionsende verlegt. Rücknahme 
			return bei http-Error aus V4.7.8 (nicht mehr benötigt für VideoEvent-Streams).
			PlayVideo (util): import sqlite3 entfernt - obsolet
			EPG-Suche (Haupt-PRG): Such-Button im Menü TV-Livestreams, neue Funktion
			EPG_Search, einschl. Aufnahmeoption (Kontextmenü), Wiki aktualisiert.
			EPG (Modul EPG): Ausgabe str(page) auskommentiert (codec-Error python2.*).
			Modul epgRecord: Löschoption für abgelaufene Jobs ergänzt (Button in JobListe,
			neue Funktion JobRemoveExp).
			url_check: Rückgabe bei lokaler Video-Url korrigiert (Url statt True). 					

04.08.2024	5.0.9
			ZDF_Search: Anpassung ZDF_Search_PATH an geänderte ZDF-Parameter.
			Main_NEW (ARDnew): Verzicht auf fehlende Variable summ für Suche-Button
			(verhinderte Öffnen des ARD-Menüs).
			get_json_content (ARDnew): Codec-Error gefixt mit py2_encode(page) bei
			Funktionsstart.
			ARDStartRubrik (ARDnew): Ausschluß nicht auswertbarer Olympia-Seiten auf 
			sportschau.de.
			ARDPagination (ARDnew): quotierte Doppelpunkte in api-Url behandelt (http
			400-Error). Anlass: Error HTTP 400 bei Mehr-Seiten in phoenix.
			url_check (util): Rückgabe der (Redirect-)Url im Erfolgsfall, sonst False
			wie bisher. Anpassungen in PlayVideo, PlayAudio.
			get_page (util): Archivierung veraltete Kopfdoku, Berücksichtigung http-Error
			307 für Redirects,
			Addon-Wicki: Hinweis auf Proxy-Nutzung ergänzt und Verlinkung  mit Beitrag
			@forrester # 3.735 vom 03.08.2024 
			get_VideoAudio, get_content_json (TagesschauXL): Anpassung an geänderte 
			eingebettete Playerdaten für Investigativ, Faktenfinder, Podcasts und Audios.

25.07.2024 5.0.8
			ZDF-Bereich: Umstellung auf neue api-Adresse zdf-cdn.live.cellular.de ->
			zdf-prod-futura.zdf.de, Backportierung ZDF_VerpasstWoche und ZDF_Verpasst
			nach vorheriger Umstellung auf api.zdf.de, Anpassungen in SearchARDundZDFnew,
			ZDFtivi, ZDF_Verpasst_Filter.
			ARDSportWDR: Funktionsziel von ARDSportMedia auf ARDSportCluster geändert
			(s. V5.0.7).
						
22.07.2024 5.0.7
			EPG_Sender, EPG_ShowAll: spez. Sender ohne Link in livesenderTV.xml aus den
			Sender-Listen entfernt, z.B. liga3.
			get_page (util): http-Header bei Stufe page2 hinzugefügt - ssl-Error bei 
			Windows10 und ARD-Links möglich (wie in url_check V5.0.5)
			update_single (EPG): Doppelzählung Module im Githubrepo unterbunden.
			ARDSportLiga3: raw-String statt unicode in re.search (my_day = re.search..),
			übersehen in Anpassungen für V.5.0.4.
			ARDSportWDR: Event-Button OLYMPIA 2024 ergänzt (Funktionsziel zunächst 
			ARDSportMedia statt ARDSportCluster wg. fehlender Cluster), Anpassung in
			ARDSportMedia.
			get_foruminfo (tools): Anpassung an geänderten Text im Startpost.
			SearchARDundZDFnew: Anpassung für Einzelsuchen (ARD oder ZDF) zur Vermeidung
			Addon-Crashes bei Videoabbruch i.V.m. Sofortstart.
			ZDF_getApiStreams: zdf-cdn-api bei vielen Url's nicht mehr akzeptiert, 
			Alternative profile_url mit api.zdf.de hinzugefügt einschl. neuer Funktion 
			get_form_streams_oldapi.			

07.07.2024 5.0.6
			Haupt-PRG: Prüfung Existenz Cache-Datei ard_streamlinks ergänzt (führte
			bei Fehlen zum Startabbruch des Addons).
			get_json_content (ARDnew): Verzicht auf Dekodierung von Param. page (str
			und py2_decode) - führte bei PY2 zu utf-Errors.
			ARDSportWDR: Event-Button Tour de France 2024 hinzugefügt, Anpassungen an
			WDR-Änderungen in ARDSportgetPlayer und ARDSportMedia.
			TagesschauXL: Hauptmenü erweitert mit "tagesschau in Einfacher Sprache",
			"Regionale Nachrichten", neues Icon tagesschau_einfach, tagesschau_regional.
			get_VideoAudio (TagesschauXL): leeren Player-Inhalt abgefangen (leer für
			Navigationsmenü im Web).
			TV-Livestreams: Deutsche Welle (EN) umgestellt (iptv -> livesenderTV.xml,
			iptv-Quelle funktioniert nicht mehr).
			get_json_content (ARDnew): Logausgabe für page als string (slice-Error bei
			Kodi Omega).
				
23.06.2024 5.0.5	
			ARDSportMediaPlayer (ARD Sportschau WDR:  Anpassung an veränderter Position
			des Beitrags-Titels.
			get_next_url (arte): Berücksichtigung von http-Links bei Vervollständigung.
			ARDSportLiga3: Notification bei Tabelle ohne Spiele (Sommerpause).
			settings.xml: Umbenennung in Kategorie Addon-Cache (Löschfrist -> Haltezeit).
			TV-Livestreams Hauptmenü: Hinweis auf einstellbare Haltezeit im Cache.
			ARDAudioEventStreams: zusätzl. Button Audio-Livestreams der Sportschau (wie
			Menü ARDSportWDR). Anpassung ARDSportLive (Ausfilterung Videobeiträge).
			ARDSportWDR: Event-Button UEFA EURO 2024 ergänzt.
			get_ARD_LiveEPG (util): Anpassung für neues Uhrzeitformat (Sommerzeit schon
			enthalten) - relevant für Setting Stream-Uhrzeit, Debug-Log: ValueError("time 
			data %r does not match format %r". 
			Cache TV-Livestream-Quellen: Thread-Lösung für die Aktualisierung - Check +
			Auslösung im Haupt-PRG, zusätz. Funktion EPG.thread_getstreamlinks.
			url_check (util): zweite Check-Stufe mit ssl.create_default_context verwendet
			(s. kodinerds-Forum 17.06.2024 ff).
			SenderLiveListe: utf-Behandlung für tagline.

26.05.2024 5.0.4
			AudioStartLive: Fix Variable für RadioPlaylist-Button PlayList statt
			streamList.
			Audio_get_cluster_single: Playlist-Erweiterung für Livestreams wie Sender-
			links in AudioStartLive.
			AudioPlayMP3: Erweiterung für Livestreams - Download als m3u-Datei (wie 
			AudioStartLive).
			Download- und Aufnahme-Tools: Integration von m3u-Dateien - Anpassung in
			DownloadsList und VideoTools.
			Haupt-PRG + Module: Fix "SyntaxWarning: invalid escape sequence" - Verwendung
			raw-String statt unicode in allen re.search-Statements, Bsp.: (u'\((.*?)\) ->
			(r'\((.*?)\).
			ARDStartSingle: Umstellung auf api-Web-Quellen für alle Streams - Abzweig
			Livestreams angepasst (direkt -> PlayVideo), weitere Anpassungen in s.u.
			Funktion ARDStartVideoWebUTget entfernt (subtitle-Extrakt in ARDStartSingle).
			XLGetVideoLists (TagesschauXL): entfernt - seit 01.05.2023 nicht genutzt.
			ARDStartVideoMP4get, ARDStartVideoHBBTVget: Auswertung Bitraten entfernt
			(nicht mehr genutzt) - Anpassung StreamsShow (Haupt-PRG).
			ARDStartVideoHBBTVget: dash-Streams ausgenommen (./tagesschau_1.mpd läuft
			nicht).
			ARDStartVideoHLSget: Einzelauflösungen via Parseplaylist vorerst deaktiviert
			(unübersichtl. Liste), Anpassung PlayVideo_Direct (Beibehaltung des 1. Links
			als Default-URL.
			ARD_get_strmStream: Nutzung Web-api-Quellen - Angleichung an ARDStartSingle.
			HBBTV- und MP4-Listen: Bitraten-Auswertung entfernt - Anpassung in Haupt-
			PRG und den Modulen.
			Codec-Fixes (relevant für PYTHON2): py2_decode(tag) in AudioStartLive 
			(Audiothek), py2_decode(page) in get_json_content (ARDnew).
			thread_getepg (EPG Nachladen im Hintergrund): Nutzung concurrent.futures für 
			Python ab V3.2 - wegen möglicher Klemmer vorerst deaktivert.
			leer-Rückgabe in EPG - Kodi-Problem: ohne Wert verwendet addDir vorige EPG_ID
			im Kontext-Menü. Anpassung SenderLiveListe (Ersatz leeren EPG_ID-Wert durch 
			"dummy").
			Haupt-PRG, Verz. ../resources/images: obsolete Icons pod-favoriten, pod-meist,
			pod-feature, pod-neu, pod-refugee, pod-rubriken, pod-tatort entfernt (obsolet).
			
12.05.2024 5.0.3
			ZDF-Funktion International gelöscht. Api-Aufruf in Main_ZDF->ZDF_RubrikSingle.
			ZDF-Startseite: Menüs ergänzt: "Livestreams im Ausland", "Terra X plus Schule"
			(vorher skipped in "Alles auf einen Blick"), Anpassungen in ZDF_PageMenu.
			get_live_data (arte): Untertitel für Sendungshinweis ergänzt.
			ARD-Videos-Untertitel: Hinweis auf ARDundZDF-Addon und S3-S6-Styles in Impf- 
			datei UT_Styles_ARD ergänzt, PlayVideo (util): Player().showSubtitles ersetzt
			durch Player().showSubtitles(sub_list[0]), da bei Sofortstart Kodi manchmal
			die UT-Datei des Servers statt der lokalen vtt-Datei verwendet.
			Audiothek Livestreams: Download Senderlinks als einzelne Playlist ermöglicht.
			ARDVerpasst_get_json: für Sender ARD-Alle sender in path ersetzt durch
			channel_id.
			Rubriken (my3Sat): "&amp;" aus Titel entfernt (unescape).
			Merkliste: Refresh der Liste unabhängig von pref_merkordner - Anpassung in
			ShowFavs, zusätzl. Debug-Statements in merkliste.py.

28.04.2024 5.0.2
			AudioSearch: Webaufrufe integriert (editorialCollections), Nutzung von
			Audio_get_webslice.
			Audio_get_webslice: Suchmarke für mode="web" angepasst ('<body/>' -> '<body').
			LiveRecord (util): direkte Settings-Ergänzung (url, duration, dest_file) durch
			cmd-Ergänzung ersetzt, Ausfilterung spezieller Sender (Audio-Event-Streams,
			umschaltbare Streamquellen für 3. Bundesliga).
			Audio_get_sendung_api: Ausschluss icecastssl-Urls von Downloads.
			check_setting (util): für Parameter pref_LiveRecord_ffmpegCall zusätzl. Anzahl-
			Check.
			PlayVideo (util): showSubtitles(False) für Kodi-Player nur noch, falls auch
			Subtitle vorliegen.
			ARDStartRegion: Urls für Rubrik Region/Heimat Hessen ersetzt  (Seite + Bild).
			ARDVerpasstContent, ARDVerpasst_get_json: Programliste für ARD-Alle ermöglicht.
			Downloads: zusätzl. Setting zum Abschalten des Info-Dialogs zu  Größe, Zieldatei
			und Untertitel - Anpassung in settings.xml und thread_getfile.
			ARDStartSingle (ARDnew): Hinweis auf ev. Serie in Mehr-Test integriert. Wiki zu
			Mehr-Beiträgen aktualisiert.
			Merkliste (Modul merkliste bei Call vom Haupt-PRG): ignore_this_network_error()
			mit Fehlermeldung "Merkliste fehlt / ist nicht geladen" ersetzt durch exit(). 

13.04.2024 5.0.1
			Suche in Audiothek: Verwendung des Web-api zur Angleichung der Ergebnisse,
			Anpassung AudioSearch (Param. base), AudioSearch_cluster (pageProps, totalCount,
			api_url -> search_url), Audio_get_search_cluster (Audio_get_nexturl entfällt),
			neue Funktion my_jsondump.
			SendungenAZ (my3Sat): unescape Param. rubrik.
			get_streams_api_opa (arte): Escapezeichen in Url-HBBTV-Quellen bei api/opa/v3
			entfernt.
			ARDStartSingle: Umstellung Untertitel auf vtt-Format (statt xml), bei Fehlen
			von UT Suche in alternativer Web-api-Quelle (frühzeitig verfügbar, relevant 
			für Nachrichten), neue Funktion ARDStartVideoWebUTget.
			sub_path_conv (util): aktuelle ARD-vtt-Datei mit W3-Style-Definitionen ergänzt
			(Injektion UT_Styles_ARD).
			build_Streamlists_buttons: repl_json_chars(title_org), um sort_error wegen
			#-Zeichen in StreamsShow zu vermeiden.						 

31.03.2024 5.0.0
			ZDF_PageMenu: CacheTime für DictID (30 min), um Aktualisierung bei Favoriten
			und Merkliste sicherzustellen, ergänzt mit url i.V.m. jsonpath zum Nachladen 
			von Startseiten (ZDF, ZDFtivi, ZDF-funk) durch ZDF_Rubriken, Anpassung 
			ZDF_Start (url=path), global HEADERS.
			ZDF_Rubriken:  CacheTime für DictID (30 min), url i.V.m. jsonpath=Fallback 
			bei Ausfall Dict (DictID), Param path -> jsonpath umbenannt, global HEADERS.
			router: Dialoge für fehlende Funktionen und Module (z.B. bei alten Favoriten-
			/Merklisteneinträgen).
			ARDStartVideoHLSget (ARDnew): Param href vorbelegt (Absicherung gegen leere
			Url in StreamArray).
			GetContent (arte): in Mehr-Beiträgen json-keys für ID=Beitrag_Liste nach arte-
			Änderung angepasst.
			Modul Merkliste: für mydict_error (exception) nicht funktionierenden Dialog 
			ersetzt durch notification.
			ARDStartRubrik: router-inkompatible Zeichen in Info-Text ersetzt - relevant
			beim Hinzufügen von Serien zur Merkliste. 
			PlayVideo (util): if not live-Statement für Video-Startlist eingefügt - für
			Aufrufe von ARDSportLiga3 relevant.
			Zuletzt-gesehen-Liste: "gesehen bis .." in Info-Text ergänzt bei Videoabbruch.
			url_check (util): Berücksichtigung leere Url bei Dialog.
			Audio_get_homescreen: neuer Buttontitel NAVIGATION für Rubriken nach Highlights
			(ARD-Änderung).
			AudioSearch_cluster, Audio_get_search_cluster (Audiothek): Anpassungen an api-
			Änderungen, Anlehnung der Ausgaben an Webseite, Korrektur falscher Anzahl in
			api-Quelle (numberOfElements geringer möglich als tatsächliche Menge.
			Audio_get_items_single: Url-Auswertung für Sammlungen (Themen) ergänzt. 
			Audio_get_sendung: Auswertung numberOfElements für nexturl korrigiert (Meta-
			Bereich statt 1. node).

17.03.2024 4.9.9
			Modul childs: neue Funktion tivi_Verpasst -  Anpassung Main_TIVI, Nutzung
			ZDF_VerpasstWoche, ZDF_get_content, neues Icon zdftivi-cal.png, Menü 
			tivi_ZDFchen verlinkt mit ZDF_RubrikSingle (analog Direkt-Calls ZDF).
			ZDF_Start: Direkt-Calls gefixed/geordnet: Startseite, ZDFtivi, ZDFchen, funk,
			gelöscht: Rubriken, Sportstudio, Barrierearm, ZDFinternational.
			Main_ZDF: gelöschte Calls aus ZDF_Start verlinkt mit ZDF_RubrikSingle.
			Audio_get_items_single, AudioSearch_cluster: Absicherung gegen leere web_url.
			Audio_get_nexturl: Fix invalid-literal-error bis limit-Wert in nexturl via
			re.search (betroffen: Modul childs, Menü Hörspaß für Kinder), new_offset
			begrenzt auf elements.
			ZDF_Rubriken: tag="Folgeseiten" für Ziel ZDF_RubrikSingle (vorher"Video").
			ZDF_Teletext: Dialog bei leerer Seite, Bsp. 777 (Untertitel).
			Audio_get_homescreen (Audio_step1): Auswertung umgestellt auf json (Webjson),
			Stage-Button integriert, Bilder ergänzt (wo verfügbar).
			Audio_get_homescreen (Audio_step2): fehlenden ersten Beitrag ergänzt, graphql-
			Auswertung umgestellt auf json, alte Zielfunktion Audio_get_sendung_api für 
			Rubriken geändert auf Audio_get_cluster_rubrik (Auswertung Web-json).
			Audio_get_sendung: python2-encoding-Fix py2_encode(summ_par).
			Zuletzt-gesehen-Liste: Fehlermeldung für nicht vorhandene Liste startlist in
			AddonStartlist ergänzt, in PlayVideo Abgleich max. Länge auf Basis 0 korrigiert, 
			zusätzl. Debugstatements ab prepare_resume, Absicherung gegen Live-Streams vor 
			monitor_resume geändert (if not live).
			get_json_content (Modul ARDnew): leere Serienliste abgefangen (try/except).
			XL_BilderClusterSingle (TagesschauXL): Begrenzung auf 1 Bilderblock bei quoted-
			json-Inhalten, Begrenzung Infotext auf 1 Zeile (Wiederholungsvermeidung).
			Bilder3satSingle (my3Sat): Ersetzung "amp;" -> "" in Bildquelle.

03.03.2024 4.9.8
			livesenderTV.xml: SWR Rheinland-Pfalz aus IPTV-Quelle jnk22 ergänzt.
			get_foruminfo (Modul tools): Anpassung an Forum-Update
			refresh_streamlinks (Modul util): Logausgabe der TV-Quellen ergänzt
			(skip_log=False).
			ZDF_Rubriken: Einrückung hinter Ausschluss-Filter beseitigt (Folgecode war
			nur wirksam mit Filter-Setting). 
			PlayVideo (Modul util): Berücksichtigung Dash-Streams (*.mpd) bei Direktiven
			für das inputstreamaddon.
			MVWSearch (Modul yt): Merkliste-Button für Suchergebnisse hinzugefügt
			(Startindex 1).
			Watch_items (Modul merkliste): Fett-/Farbe aus gespeichertem Titel mittels
			cleanmark entfernt in actions rename und folder.
			get_summary_pre (Modul util): Sonderfälle für ARDnew behandelt ('\\n\\n' ->
			" | ", '\\n' -> ". ", '\\r\\n\\r\\n' -> " | ").
			Main: Hinweis Einzelupdate in Button Addon-Update.

18.02.2024 4.9.7
			thread_getpic (util): Anpassung an akt. python-Pillow-Version (draw.textsize
			entfernt), Tests OK in Windows11 (Kodi Omega) und Linux (Kodi Nexus, Leia).
			TV-Livestreams 3. Bundesliga: Berücksichtigung von 1-3 Sendern (bisher 1-2),
			Anpassungen in ARDSportLiga3 + ARDSportgetEventlist, HTML-Escapezeichen in
			Spieltag-Nr. entfernt.
			Audio_get_items_single (Audiothek): Hochkommata in Bildtext entfernt.
			PlayVideo: Encodierung beim Abgleich der Video-Url mit Zuletzt-gesehen-Liste
			ergänzt (relevant für python < 3.0).
			ShowFavs: Icons für Notification für merkliste/Favoriten angepasst.

04.02.2024 4.9.6
			Main_XL (TagesschauXL): Hinw. auf geringe Videoqualität 480x270 (Investigativ,
			Faktenfinder).
			XL_BilderClusterSingle (TagesschauXL): Auswertung Slider-Bilder ergänzt. 
			time_translate (util): Sommerzeit 2024 ergänzt.
			XL_SearchContent (TagesschauXL): Nutzung make_mark (util) für Fett-Markierung 
			der Suchbegriffe.
			Bildergalerien: Löschen leerer Bildverz. ergänzt - Aktualisierung my3Sat, 
			TagesschauXL, Haupt-PRG. Neue Funktion DelEmptyDirs (util).
			Haupt-PRG: Bereinigung Thumbscache ARDNeu_Startpage ergänzt (Setting Slide
			Shows). 
			AddonInfos: Größe der Logdatei ergänzt, einschl. Kennzeichnung ab 1 GB.
			ARDRubriken: fehlendes LF-Zeichen ergänzt ("%s\Bild: %s" -> "%s\nBild: %s").
			TV-Livestreams -> Regional: Abgleich bei IPTV-Quellen mit "<tvg-name>" statt
			"<hrefsender>".
			TV-Livestreams -> Überregional: 2 eingestellte Sender Deutsche Welle aus
			livesenderTV.xml entfernt, verbleibend: "Deutsche Welle (EN)".
			Rubriken (my3Sat): fehlendes Container-Merkmal (..is-white, ..is-dark) für 
			weitere Inhalte ergänzt, get_title erweitert, neue Funktion del_footer.
			m3satSourcesHBBTV (Haupt-PRG): bei Fehlen von HBBTV-Quellen Dialog ersetzt 
			durch notification.
			my3Sat: Bereinigung Cache für SophoraTeaser ergänzt (Setting Inhaltstexte).
			ZDF_Start (Haupt-PRG): Aufruf tivi_ZDFchen-Seite korrigiert.
			Modul phoenix: nicht mehr benötigtes Setting "..nur Beiträge mit Videos.." 
			entfernt, dto. Wiki (Settings Module).
			Ausschluss-Filter (Beiträge von ARD und ZDF): verlorenen Code wiederhergestellt,
			Anpassung get_json_content  + ARDVerpasst_get_json (ARDnew), ZDF_PageMenu, 
			ZDF_Rubriken, ZDF_RubrikSingle, ZDF_Verpasst. Zusätz. Notification für context-
			Umschaltung in FilterToolsWork (tools).
			get_next_url (arte): Wegfall api-internal-Call, neuen Call für Web-json-Quellen
			angepasst ("/api/emac/" -> "www.arte.tv/api/rproxy/emac/").

21.01.2024 4.9.5
			ARDStartSingle: Ausfilterung .ts-Link bei Streamquellen (Link o. Zertifikat).
			AddonStartlist: sub_path, seekPos und video_dur in Param-Liste ergänzt, Anpas-
			sung STARTLIST in PlayVideo und monitor_resume, Ausschluss von Livestreams,
			Anpassung Modul playlist (items_add_rm: start_item.split begrenzt).
			ShowSeekPos (util): Stop des ARD-Livestream-Monitors bei Playerende ergänzt.
			seconds_translate (util): Sendungsdauer an Kodi angepasst (Format 00:00:00 
			statt vorher 00:00), Anpassung time_to_minutes.
			AudioSenderPrograms (Audiothek): Auswertung Kategorie im 1. id-Block (2. Block
			fehlt nach ARD-Änderung). 
			Audiothek: Erweiterung der api-Url mit "&order=descending", Anpassung in
			Audio_get_sendung, Audio_get_sendung_api, Audio_get_search_cluster, 
			Audio_get_cluster_single, Audio_get_homescreen.
			GetContent (arte): Fix gegen Rekursion bei Seiten mit "Alle Videos", Ergänzung
			arte_lang.json, Param ignore_pid in ArteCluster (ArteStart_2).
			Modul TagesschauXL: Nutzung des Moduls ARDnew für die tagesschau-Menüs, 
			einschl. tagesthemen und Bericht aus Berlin, Param live=true für Webplayer-
			Streams bei eingeschalteter Zuletzt-gesehen-Liste.
			TV-Livestreams: Umstellung Deutsche Welle auf IPTV-Links (in ARD-Mediathek
			nicht mehr verfügbar), nur EN-Version funktionsfähig.			

07.01.2024 4.9.4
			PlayVideo_Direct (Modul util): Absicherung Default_Url bei nur 1 Element in
			HLS-List.
			ARDStart (ARDnew): fehlenden Param func für Call zu ARDStartRubrik ergänzt
			(mehrere Menüs öffneten nicht).
			log_update (Modul strm): fehlende Begrenzung des strm-Logs auf MAX_LOGLINES
			Zeilen ergänzt.
			TV-Livestreams -> Privat -> QVC: Aktualisierung der Videoquellen für die 3
			QVC-Sender, ServusTV entfernt (nicht mehr offen erreichbar) - Anpassung 
			livesenderTV.xml. 
			TV-Livestreams -> Regional -> MDR: Sender Sachsen-Anhalt und Thüringen aus 
			IPTV-Quelle ergänzt, Anpassung livesenderTV.xml.
			SenderLiveSearch: IPTV-Suche um 2. github-Quelle ergänzt.
			Main: Wegfall des Menüs "Download- und Aufnahme-Tools" im Hauptmenü (Zwilling
			seit 2022 in Infos+Tools).
			Modul Arte: quotierte Slashes in stream_hbbtv entfernt (MP4- und HBBTV-Quellen 
			der Videos fehlten). 
			ShowSeekPos (Modul util): control-Test auskommentiert (vorerst nicht relevant).
			ZDF_getStrmList: Austausch os.path.isdir -> os.path.exists (strmpath), Abbruch-
			Dialog bei strmpath-Problem.
			Modul util: neue Funktion get_sqlite_Cursor (DB-Connect zu MyVideos*.db), 
			Nutzung durch show_strm_element.

24.12.2023 4.9.3
			ZDF_RubrikSingle: Fix Erkennung von Navigations-Menüs (Suche in jsonObject
			statt in page).
			Audio_get_cluster_rubrik + Audio_get_cluster_single (Audiothek): Maßnahme
			gegen gelöschten Dict-Inhalt (zusätzl. Param url).
			ARDSportLiga3: 6-Monatsvergleich der Datumsangaben ohne Jahr + ggfls. 
			Jahreskorrektur.
			img_preload (ARD): Sonderbehandlung für quotierte Doppelpunkte  (wie
			ARDRubriken in V4.9.2).
			ARDRubriken: ev. fehlendes Icon aus 1. Teaser holen
			ARD: "Unsere Region" aus Startseite verlagert zu Main_NEW (so erreichbar
			für jeden eingestellten Sender, bisher nur ARD-Alle), Auswertung regio_kat 
			mit spez. Inhalten verschoben nach ARDStartRegion, Katalog an api-Url's 
			angepasst + manuell erweitert, z.B.: MDR+, MDR Sport, neues Icon 
			ard-unsereRegion.

10.12.2023 4.9.2
			Infos+Tools: "Merklisten-Ordner bearbeiten" hinzugefügt - Anpassungen in
			InfoAndFilter und Modul Merkliste.
			Modul merkliste: Abbruchdialog aktualisiert (MyDialog).
			Main: Austausch "Kodi's" -> "Kodis" in tagline ("Kodi's" erzeugt JSON-
			DecodeError in Modul merkliste).
			ZDFSourcesHBBTV: Check auf fehlende Streams (Fix list-index-error).
			ZDF_RubrikSingle: Auswertung Navigationsmenü (ZDF-Sportstudio) einschl.
			Berücksichtigung livestreamsTeaser und scheduledLivestreamsTeaser, neue
			Funktion ZDF_get_navi.
			ARD verpasst: defekten api-Link durch programm-api.ard.de ersetzt, neue
			Funktion ARDVerpasst_get_json,  Anpassungen in ARDVerpasst (Zeitformate), 
			ARDVerpasstContent (Dialog, Auswahl timeSlots).
			ARDStartRubrik: Sonderbehandlung für quotierte Doppelpunkte in Rubrik-Url 
			-> replace("%3A", ":").
			ARDRubriken: Titel-Fix -> repl_json_chars(title).
			EPG_rec (Modul EPG): fehlerhaften EPG-Datensatz abgefangen (Länge > 7,
			Auftreten bei abweichender lokaler Zeitynchronisation).

26.11.2023 4.9.1
			Merkliste:  Sortieroption key=str.lower für Ordner entfernt (Problem in
			PYY2). 
			EPG (Modul EPG): Abgleich Datentyp geändert von str(type(page)) auf 
			'<!DOCTYPE html>' in page (komp. mit PY2). 
			thread_getepg: Ende-Notification mit Anzahl der Abrufe ergänzt. Delay
			von 500 auf 250 millisec verringert.
			Kika_Rubriken (childs): py2_encode für addDir-Parameter (komp. mit PY2).
			Kika_get_singleItem (childs): py2_encode für return-Parameter (komp. mit 
			PY2).
			Tivi_AZ (childs): element -> button für addDir-Parameter.
			Main: Hinweis auf ARD-Classic-Version entfernt, Hinweis auf Teletext in
			ARD- und ZDF-Button hinzugefügt.
			DownloadTools: Button Podcast-Favoritenliste entfernt obsolet), dto. Verweise
			im restl. Addon.
			SingleVideo (Modul arte): Check zusätzliche UHD-Quellen in api_opa und api_V2 -
			neg., wie bisher nur HLS-Quellen.
			EPG: Nachlade-Intervall von 12 Std. geändert auf Option  "12 Std. | 1 Tag | 
			5 Tage | 10 Tage" - Anpassung settings.xml, Haupt-PRG (Zeit-Abgleich und
			Initialisierung thread_getepg), Nutzung EPGCacheTime EPG-Modul).

19.11.2023 4.9.0
			thread_getepg (Modul EPG): EPG-Abruf unterdrückt bei fehlender ID.
			Kika_Subchannel (Modul childs): Eintrag ohne Url abgefangen.
			MausLive (Modul childs): unescape für Sendungstitel.
			Merkliste: Unterdrückung Kontextmenüeintrag "Hinzufügen" beim Listen der
			Merkliste selbst.
			Merkliste: seltenes -Zeichen ersetzt (&#8211; -> &#45; optisch identischer
			Gedankenstrich), Anpassungen in Watch_items (actions del, rename, folder.
			Merkliste: wegen unterschiedl. Leerz.  bei gleichen Namen Vergleich mit 
			name.strip() == iname.strip().
			get_summary_pre (util): Merkmal Auswertung Beschreibung geändert ->
			item-description. Text bei "description content" zu kurz.
			Audiothek: Titel für funk-Podcasts aktualisiert, Anpassung AudioStart 
			und AudioSenderPrograms (title.startswith).
			Audio_get_items_single (Audiothek): Fix img-Suche ('},' -> ',') und Platz-
			halter für leere img-Suche.
			AudioSenderPrograms (Audiothek): Fix Hochkommata im Titel ('\\"' -> '*').
			Audio_get_sendung_api (Audiothek): Ausschluss Mehr-Button bei nur 1 Beitrag.
			Podcast-Favoritenliste: entfernt (obsolet) - Code entfernt in: AudioStart,
			PodFavoriten + PodFolder + PodAddFavs (Modul Podcontent), Datei podcast-
			favorits.txt gelöscht, Github-Wiki aktualisiert.
			ClearUpThumbnails (tools): Dialog-Titel ergänzt: Dateien älter als x Tage.
			Modul TagesschauXL.py: Suche an ARD-Änderungen angepasst (XL_Search und
			XL_SearchContent erneuert), img-Auswahl auf urlS umgestellt (mehr Ergebnisse
			als urlM).

05.11.2023 4.8.9
			get_ARD_LiveEPG (util): Auswertung currentStartDate statt startDate (falls
			vorhanden).
			EPG-Modul: neues Konzept mit Ablage des 2-dim-EPG-Array im Dict (weitere
			Infos s. Kopfdoku in EPG), neue Funktion get_data_web, Anpassungen in
			EPG_ShowSingle, SenderLiveListe, EPG_ShowSingle, EPG_ShowAll, 1-sec-Delay
			auf 1/2 sec verkürzt.
			thread_getepg (EPG): Löschen der Cache-Dateien unabhängig vom Alter.
			ShowFavs: try/except-Block für neue Sortierroutine (Addoncrash bei
			leerer Liste).
			livesenderTV.xml: hrefsender-Titel aktualisiert für "Rundfunk Berlin 
			Brandenburg" und "Rundfunk Berlin"
			get_epg (Modul 3sat): Umstellung auf Nutzung EPG-Cache (Live-Daten nicht
			mehr auf DreiSat_BASE).
			EPG (Modul EPG): entf. Hochkommata in Beschreibung (router-kompatibel).
			InfoAndFilter: Infotext "Nach Abgleich werden .." entfernt (obsolet)
			get_foruminfo (Modul tools): Hochkommata in Infotext entfernt.
			DownloadsList: Sortierung nach Datum, Infotext mit Aufnahmedatum ergänzt. 
			SenderLiveListe: Verhinderung EPG-Aufruf bei fehlender EPG_ID.
			TV-Livestreams: Austausch Welt_N24-Live iptv -> welt.personalstream.tv-
			Stream, Anpassung livesenderTV.xml.

29.10.2023 4.8.8
			ARDSportLiga3: Python2-Anpassung (py2_encode für ard_streamlinks, sender1,
			sender2, ohne Bearbeitung der Umlaute).
			ZDF-HBBTV: Kennzeichnung DGS-Streams - Anpassung ZDFSourcesHBBTV
			test_downloads: Verhinderung Downloads bei Livestreams (Bsp. Audiothek:
			liveradio.swr.de/../play.aac).
			Audiothek: Login-Banner ausgefiltert im Menü Entdecken.
			EPG via Kontextmenü (Modul EPG): unvollständige Daten und Exceptions 
			abgefangen (index-error).
			ZDF_PageMenu: Menü 'Mehr zu funk' ausgeblendet (-> skip_list), Links
			verweisen auf www.funk.net/ und presse.funk.net/ (nicht mehr unterstützt).
			Infos + Tools: zusätzl. Button "Refresh: Addon-Cache für TV-Livestream-Quellen",
			neue Funktion refresh_streamlinks(util), Anpassungen in get_*streamlinks neues
			Icon tv-livestreams_grey.png
			EPG: Prüfung Codeverbesserung (Ablage xml-Format vs. 2-Dim-Array) - negativ,
			relativ lange Ladedauer wg. 12-Tage-EPG für Recording. Wicki aktualisiert
			(Seite 01 Zif.5 und 5.1, Seite 04 Zif. 9).
			EPG_ShowSingle: akt. Datum in Info-Text eingefügt.

22.10.2023 4.8.7
			time_translate (util): Mitnutzung durch ShowSeekPos (add_hour_only=True).
			Sendungsnavigation im Zeitpuffer bei ARD-Livestreams (util): neue Funktionen
			KeyListener und get_ARD_LiveEPG, Anpassung ShowSeekPos, Wiki aktualisiert.
			ZDF_get_content: Verfügbarkeitswarnung ergänzt, wo Datum für time_translate
			fehlt (Beiträge "Letzte Chance"), Dauer aus obj["infoline"]["title"] ergänzt,
			wo obj["length"] fehlt, typ=="video" ergänzt (length als Krit. für Video kann
			fehlen (joschi77 vom 15.10.)
			ZDF_RubrikSingle: Auswertung Teaser ergänzt (type=teaserContent).
			ZDF_Search: Umwandlung der Umlaute im Suchpfad wieder entfernt (Umlaute führten
			bis V3.8.8 zum Url-Error, s. 13.06.), quote(py2_encode(query)) für PYTHON2.
			SenderLiveListe (TV-Livestreams): Verknüpfung 3. Ligaspiele mit Live-/Event-
			Streams (Forum Weri), neue Funktionen ARDSportLiga3 und ARDSportgetEventlist,
			neuer channel in livesenderTV.xml.
			time_translate (util): "Noch %s Stunden!" -> "NOCH %s Stunden!", Warnspanne von
			6 auf 7 vergrößert (Nutzung durch ARDSportLiga3).
			SearchARDundZDFnew (ARDnew): Auswertung Suchergebnis '0' statt ''.
			
08.10.2023 4.8.6
			AudioStartLive (Audiothek): py2_decode(Plot) - relevant für PYTHON2.
			time_translate (Modul util): re.search-Code für Verfügbarkeitswarnung ver-
			bessert (CodeQL-alert: Inefficient regular expression).
			ARDStart (ARDnew): Cache auf Startseite begrenzt (Überschneidung mit Menüs
			RETRO und Entdecken möglich).
			ShowFavs: Notification bei fehlenden Inhalten (Favoriten/Merkliste).
			Main: im Infotext des Buttons Merkliste Setting-Hinweis hinzugefügt, falls
			externe Merkliste gewählt. 
			addDir (util): li.setInfo für Kodi V20 (Nexus) ersetzt durch li.getVideoInfoTag 
			(Trigger KODI_MAJOR, Zusatz-Infos in addDir).
			ARDSportWDR: Basketball-WM aus Startseite entfernt.
			arte-Modul: Anpassungen an api-Version 4 (error für V3) in EPG_Today (Link)
			und GetContent (json-key).
			ZDF: Auswertung recommendation-Inhalte ergänzt - Anpassungen in ZDF_RubrikSingle
			(ohne Cache, DictID leer), ZDF_PageMenu (DictID auf urlkey-Basis), ZDF_Rubriken
			(stream=url).
			ZDF_PageMenu: application/json gegen IncompleteRead-error.
			Main_TIVI (Modul childs): auskommentierten Code entfernt (Suche, Sendungen der
			letzten 7 Tage).	
			get_ARDstreamlinks (util): Liste ard_streamlinks mit linkid ergänzt (Verwendung
			für programm-api.ard).
			get_page (util): json-Behandlung entfernt (obsolet, json.loads durch Aufrufer),
			Call-Anpassung in AudioStartLive, ZDF_FlatListEpisodes,	m3satSourcesHBBTV,
			ZDFSourcesHBBTV, get_ZDFstreamlinks, get_ARDstreamlinks, SearchARDundZDFnew,
			ARDSearchnew, SingleVideo (arte).

24.09.2023 4.8.5
			ARD Senderwahl: überarbeitet, um Überschreiben der Senderwahl durch Return-Menü
			von Kodi zu vermeiden - neue Funktion ARD_CurSender_set, Anpassungen in ARDnew, 
			ardundzdf, util.
			arte_Search (Modul arte): Anpassung api-Link (emac/v3 -> emac/v4), key-Anpassung
			für ID "SEARCH" in GetContent, Anpassung api-Link und ID ('SEARCH_NEXT') für
			Folgesuchen.
			Modul phoenix: Anpassung an Änderungen bei ARD Senderwahl in phoenix_Start,
			Verpasst und phoenix_AZ. 
			Modul ARDnew: Anpassung an zusätzl. Parameter CurSender in ARDStart, ARDVerpasst,
			SendungenAZ bei Calls aus phoenix.
			PlayVideo (Modul util): Liste gestarteter Videos umbenannt: startlist ->
			started_videos wg. Namensgleichheit mit Setting pref_startlist.
			Merkliste: Sortieroption pref_merksort ("aufsteigend|absteigend|keine") ergänzt.
			Parseplaylist (Ermittlung der Einzelauflösungen): Dialog für url_check unter-
			drückt wegen der Nutzung durch strm-Threads)
			Maus Zoom Kindernachrichten (Modul childs): Notification bei fehlenden Inhalten.
			transl_json (Modul util) ergänzt: u200e (Left-to-Right Mark) -> " " (Blank).
			Maus_Audiobooks (Modul childs): Sendedatum und "Verfügbar bis" ergänzt.
			ARDAudioEventStreams: Audiostreams aus der Champions League ergänzt.
			ARDStart (ARDnew): Login-Promo -> skip_list (Login weiterhin nicht unterstützt).
			ARDStartRegion (ARDnew): api-Link für Region-Inhalte aktualisiert.
			ARD Audio Event Streams: Notification in ARDSportNetcastAudios bei fehlenden 
			Inhalten, Button für Spiele im DFB-Pokal hinzugefügt.

10.09.2023 4.8.4
			Modul Updater: globale Variable BACKPUP_DIR entfernt (obsolet).
			ARD_Teletext: in ARD_Teletext_get_cline Erfassung mehrz. EPG-Texte ergänzt
			(cline["li"]), Vorbelegung txtRight in ARD_Teletext_extract in clines-Loop.
			Tivi_AZ_Sendungen (Modul childs): Notification bei fehlenden Inhalten.
			Main_childs: "Geschichten für Kinder von 3 bis 6" aus Info entfernt - nicht
			mehr vorhanden.
			ARDSportWDR + ARDSportWDRArchiv: Bereinigung der EventButtons.
			SendungenAZ (ARDnew): Leerbutton am Listenanfang entfernt.
			ShowFavs (Merkliste): Sortierung der Liste nach merkname oder name (abhhängig
			vom gesetzten Filter).
			addDir (util): Param sortlabel für Merkliste entfernt (obsolet).

27.08.2023 4.8.3
			ARD sportschau.de (WDR): Anpassung der Audio-Netcast-Auswertung an WDR-
			Änderungen - ARDSportSingleBlock -> ARDSportNetcastAudios und Nutzung von
			ARDSportgetPlayer + ARDSportMediaPlayer, Aktualisierung Aufruf-Buttons
			ARDSportWDR: Event-Buttons für Leichtathletik-WM, Radsport:Deutschland Tour,
			Hockey-EM 2023 und Basketball-WM aktualisiert/hinzugefügt. 
			ARDAudioEventStreams: Button "ARD Audio Event Streams" entfernt.
			ARDSportLive: Anpassung Leia/Krypton - py2_encode für title und Plot.
			livesenderTV.xml: Abschnitt "ARD Audio Event Streams" entfernt. 
			ARDSportMediaPlayer: 2-Std-Versatz korrigiert (add_hour=False).
			time_translate (util): Terminwarnung "Noch x Tage" ergänzt um Stunden 
			"Noch %s Stunden" bei akt. Tag.
			ARD_Teletext: erneuert - umgestellt auf HBBTV-Quellen.			

20.08.2023 4.8.2
			unescape (util): '&deg;' -> '°' ergänzt für Teletext ARD.
			Kikaninchen_Videos: html-Auswertung auf Kika-api/v1 umgestellt,
			Anpassungen: Kikaninchen_Videos (Step1 + Step2), Kika_SingleBeitrag,
			unescape (util), Watchdog_ZDF_Childs.
			ARDnew: Austausch webpwa-api-Call gegen neuen api-Call, Anpassungen und
			Optimierungen (img_load) in ARDStart (s. Infos dort, einschl. Cache) und 
			SenderLiveResolution.
			ARD_Teletext (ARDnew) + ZDF_Teletext: für falsche Seitenzahlen Hinweis und
			Korrektur (-> Seite 100) ergänzt.
			get_content_json (TagesschauXL): Inhalt av_content ergänzt, falls title 
			leer.
			ARDSportMedia: html-Behandl. -> unescape(label).

13.08.2023 4.8.1
			ZDF_Live: utf-Behandlung für Texte (MyDialog, fparams) - relevant für
			Kodi Leia.
			Kikaninchen_Videos: mediatyp=video entfernt (rekurs. Aufruf, verhindert 
			Sofortstarts in Kikaninchen_Videos).
			ZDF-Erweiterung: Teletext (teletext.zdf.de), neue Funktionen ZDF_Teletext,
			ZDF_Teletext_Table + ZDF_Teletext_setPage, Icons: icon-next, icon-previos, 
			teletext_zdf.
			ARD-Erweiterung (Modul ARDnew): Teletext (ard-text.de/index.php), neue 
			Funktionen ARD_Teletext, ARD_Teletext_Table, Icon: teletext_ard.

30.07.2023 4.8.0
			ZDF_Live: abweichendes Format der Videoquellen berücksichtigt (key:formitaeten
			außerhalb key:cluster/epgCluster), Fett-Markierung aus Titel entfernt für
			Abgleich epgCluster-key ["title"].
			gen_alpha (KiKA-Podcasts Modul childs): Copyright aus titel entfernt.
			Kikaninchen_Videos (childs): bei Fehlen einer Videoquelle Test der Variante 
			avCustom.xml in Kikaninchen_VideoSingle.
			Kikaninchen_Videos: für einige Links 3. Durchlauf erforderlich - für addDir 
			das Ziel Kikaninchen_VideoSingle ersetzt durch Kikaninchen_Videos.
			ARDSportTabellen: Vereinslogo ergänzt, Pfad zum Tabellen-Archiv korrigiert
			(path -> path_org), Tabellenjahr für Archivtabellen ergänzt (Infotext).
			ARD sportschau.de (WDR): Auswertung json-Daten vereinheitlicht )'data-v="'-
			Blöcke) - neu: ARDSportgetPlayer, ARDSportMediaPlayer.

23.07.2023 4.7.9
			Sofortstart: vor Sortierung Stream_List in PlayVideo_Direct das Element mit
			Auflösung "** auto **" entfernt, um sort_error zu verhindern (falls einzelne
			Auflösung im Setting gewählt). Dto. in Parseplaylist bei Audiostreams die
			Auflösung 0x0 eingefügt. 
			ZDF-Livestreams: Erkennung + Kenzeichnung von zeitlich begrenzten Livestreams
			(Events) - Anpassung in ZDF_get_content (label=Livestream, tag: Verfügbarkeit),
			ZDF_Live (clusterLive_error), ZDF_PageMenu (Abgleich entry["type"] -> Abgleich 
			typ).
			livesenderTV.xml: Zusatz "Olympia" bei den ARD-Eventstreams "WDR Spezial"
			entfernt (obsolet).
			ARDSportWDR: Button "ARD Event Streams" hinzugefügt (-> SenderLiveListe).

16.07.2023 4.7.8
			Parseplaylist: url_check der master-m3u8-Auswertung vorangestellt (rel. für
			VideoEvent-Streams).
			get_json_content (ARDnew): Anpassung Sek.-Format für Kennz. ganzer Sendungen
			(seconds_translate).
			get_page (util): vorzeitiger Ausstieg, falls in Stufe 1 (get_page1) ein HTTP
			Error auftaucht (rel. für VideoEvent-Streams).
			PlayVideo (util): play_time und video_dur vorbelegt für Rückgabe bei url_check
			=False.
			PlayVideo (util): zusätzl. Param. live als Kennung für Livestreams (relevant
			für ThreadShowSeekPos), Anpassungen: arte_Live, SenderLiveResolution, 
			Parseplaylist, PlayButtonM3u8, WDRstream + ARDSportVideo (WDR-Livestreams), 
			Live (my3Sat), phoenix_Live, XL_Live, ZDF_Live.
			ShowSeekPos (util): Test auf Verfügbarkeit des Players bereits vor showSubtitles
			in PlayVideo, 2 Sync-Checks in waitForAbort-Schleife eingefügt, WRD-Lokalzeit-
			Streams nicht zugelassen (live="" in WDRstream  + ARDSportVideo).		

25.06.2023 4.7.7
			ShowSeekPos (util): neu - blendet nach Verschieben der Pufferposition von
			inputstream.adaptive die passende Uhrzeit per Notification ein (Aufruf in
			PlayVideo). Neues Setting: "Stream-Uhrzeit" (pref_streamtime, default true). 
			arte-Modul: Ersatz der durch phoenix-Erneuerung gelöschten Funktionen
			getOnline + time_state im Modul util.
			livesenderTV.xml: Streamlink für Lausitzwelle aktualisiert.
			ARDSportWDR: Bild Menü Moderation aktualisiert.
			get_live_data (phoenix): icon leer vorbelegt (erforderl. bei Senderausfall).

18.06.2023 4.7.6
			TV-Livestreams Regional Lokalzeit: return nach Sofortstart für Verbleib
			in akt. Liste.
			ARDSportVideo (Regional Lokalzeit Samstag): doppelten Homebutton entfernt. 
			Notification-Problem LibreElec 11.0.1: nach Neuinstallation verschwunden.
			ZDF_PageMenu, ZDF_get_content: Info-Text von valid_title_chars verschont im
			Menü ZDF-International Arabic.
			get_foruminfo (tools): Datum ergänzt mit letztem Eintrag.
			ShowFavs: Fett-/Farb-Markierung aus Titel entfernt, um Positiosverschieb. zu
			vermeiden (cleanmark). 
			PlayVideo: Rekursionscheck gelöst vom Status pref_nohome und Wirksamkeit auf
			10 sec beschränkt. 
			Watch_items (merkliste): cleanmark für IName bei action==del (Gegenstück zu
			cleanmark in ShowFavs).
			Issue-Info: Rekursion von Videos aus MVW-Suchergebnis in der Merkliste (Call
			aus Modul yt). Videos aus den anderen Suchmenüs zeigen zwar beim direkten
			Abspielen Rekursion, nicht aber in der Merkliste. Beide abgefangen in PlayVideo,
			s. Rekurs_check.
			Modul phoenix: wegen der weggefallenen Youtube-Unterstützung Umstellung auf
			ARD-Mediathek - Anpassungen: phoenix_Search -> ARDSearchnew, ARDStartRubrik,
			ARDStartRegion, ARDStart, SenderLiveResolution, SendungenAZ, ARDRubriken,
			SendungenAZ_ARDnew, Watchdog_Plex-2. 
			show_single_bandwith: entfernt - obsolet.
			Icons: Platzbedarf reduziert (Indizierung auf Farbzahl-Minima), erneuert:
			icon-downl-dir und icon-downl. Obsolete Icons entfernt.
			Main_childs (Kinderprogramme): neues Menü "Hörspaß für Kinder", Link ->
			ARD-Audiothek.

04.06.2023 4.7.5
			ARDSportWDR: Menübutton Bundesligatabellen hinzugefügt, neue Funktionen 
			ARDSportTabellen, ARDSportTabellenArchiv und ARDSportTabellenTeam.
			ARDSportMedia: Test Bilder auf fehlende Extension / Ergänzung mit .png.
			ARDSportMediaPlayer: Vorbelegung Param verf="" ergänzt.
			PlayVideo_Direct (util): Check Länge HBBTV_List vor Verkettung mit Stream_List.
			Kikaninchen_VideoSingle: avCustom.xml-Url and Kika-Änderung angepasst, Behandl.
			title + summ mit valid_title_chars.
			TV-Livestreams Regional Lokalzeit: Anpassung an Änderungen der WDR-Webseite in 
			list_WDRstreamlinks, WDRstream und ARDSportVideo.

28.05.2023 4.7.4
			Audio_get_homescreen (Audiothek): personalisierte Inhalte ausgeblendet
			("..für dich" in title).
			get_summary_pre (util): descr: Linefeed ersetzt durch "|" + Endbehandl.
			mit valid_title_chars.
			Get_content (Haupt-PRG + arte): Endbehandl. summ mit valid_title_chars.
			valid_title_chars (util): aktualisiert, Berücksichtigung github-pull-request 
			#28 (Semikolon-Problem mit PY2 in Funktion router).
			SingleVideo (arte): Dialog-Zusatz "Mehr Streamauswahl ohne Sofortstart" bei
			leeren Streamlisten, Anpassung arte_lang.json.
			Anzeige laufender Downloads (Haupt-PRG): Leichencheck für Lockdatei DL_CHECK.
			Module funk, zdfMobile: entfernt wie angekündigt, Bereinigung settings.xml +
			Icons. Hauptmenü angepasst, Verweise in ShowFavs entfernt, Anpassung in
			Watchdog_Plex-2, README + Wiki aktualisiert.
			
21.05.2023 4.7.3
			ZDF_PageMenu: Link zu KiKANiNCHEN realisiert (Typ "externalUrl" im
			Menü Kinderprogramme -> ZDFtivi -> ZDFchen).
			ZDF_PageMenu:  "url" alternativ für leeren "stream" verwendet (Bsp. 
			ZDFtivi -> KiKA live). 
			ZDF_PageMenu: Berücksichtigung PromoTeaser (Web: ganze Breite) - mit
			url -> ZDF_RubrikSingle.
			ZDF_RubrikSingle: Notification für Beiträge ohne Videos (0 Cluster,
			0 Teaser).
			ZDF_get_content: fehlende "headline" abgefangen.
			GetContent (arte): "duration" ergänzend für Einstufung mehrfach=True
			herangezogen ("isCollection" nicht verlässlich).
			build_Streamlists_buttons: UHD-Kennzeichnung der Streamlisten an 
			Änderungen des ZDF-Codes (V4.7.0) angepasst.
			ZDF_getApiStreams: Aufnahme UHD-Streams in Download-Liste ergänzt 
			(bisher in build_Streamlists).
			SingleBeitrag (3sat), build_Streamlists, m3satSourcesHBBTV: Anpassung
			an geänderte Auswertung der ZDF-Videoquellen.
			Streamlisten (neue Reihenfolge im Titel: Auflösung | Bitrate) - geändert: 
			ARDnew (ARDStartVideoHBBTVget, ARDStartVideoMP4get, ARD_get_strmStream, 
			ARDStartSingle), Parseplaylist, StreamsShow, ZDF_getApiStreams, 
			build_Streamlists, form_HBBTV_Streams.
			Streamlisten (Sortierung MP4_List + HBBTV_List nach Auflösung statt Bitrate:
			Anpassung in StreamsShow + PlayVideo_Direct, arte (get_streams_api_v2 +
			get_streams_api_opa).
			repl_json_chars(tag) ergänzt in: ZDF_PageMenu, ZDF_RubrikSingle,
			ZDF_Rubriken, ZDF_Verpasst.
			get_page(util): py2_encode(page) für JsonPage (für Kodi Leia erford.).
			Kategorien (arte): Anpassung Suchmuster für PYTHON2.

14.05.2023 4.7.2
			ZDF-Videos: Zusatz Senderbez. (entry["channel"]) in ZDF_PageMenu,
			ZDF_Rubriken und ZDF_RubrikSingle.
			get_summary_pre (util): Auswertung erweitert (ZDF: tag b-post-content,
			Anpassung ZDF_get_content, ARD: CR+LF entfernt).
			ZDF_PageMenu: zusätzl. Param. urlkey zur Kompensation eines fehlenden
			jsonObject (referenziert durch DictID), Aussteuerung Typ "livevideo"
			-> ZDF_Live.
			ZDF_RubrikSingle: Objektzähler bei leeren/fehlenden Objekten erhöht
			(für DictID und urlkey)
			Watch_items (merkliste): Änderung Dialogtext "diesen Eintrag .." ->
			"neuen Eintrag ..".
			GetJsonByPath (util): leeres/falsches jsonObject abgefangen.

07.05.2023 4.7.1
			get_json_content( ARD): Filterabgleich gefixt (Dict -> string).
			ZDF_Rubriken: Fix Parameterbez. für ZDF_getApiStreams in walk_entries
			(url -> path).
			XL_Search (TagesschauXL): Suche an ARD-Änderungen angepasst (json-Quellen,
			html-Quellen nicht mehr auswertbar).
			TagesschauXL: Bildgalerien ergänzt - Button in Main_XL, neue Funktionen
			XL_BilderCluster, XL_BilderClusterSingle und XL_BilderShow.
			get_content_json (TagesschauXL): fehlende Endungen bei Bild-Links mit ".webp"
			ergänzt.
			ZDF_Rubriken: Titel mit "Highlights" ergänzt bei Clustertyp videoCarousel.
			ZDF_RubrikSingle: Bez. für CacheTime korrigiert (ZDF_CacheTime_AZ), relevant
			für Aufruf aus Startseite.
			Main_ZDF: fehlende ID für Menü ZDFinternational ergänzt.
			ZDF_getApiStreams: Prüfung Listen nach Auswertung der Videoquellen auf 
			HBBTV_List erweitert (kann fsk16-Beiträge außerhalb der geschützten Zeiten 
			enthalten). 
			ZDF_FlatListEpisodes, ZDF_FlatListRec, ZDF_getStrmList: Anpassungen an json-
			Quellen im ZDF-Code, Fixes in Listenauswertung (Liste direkt laden statt 
			Übersicht, Abgleich brandId statt Abgleich Serientitel).
			do_sync (strm): Anpassung an ZDF_FlatListEpisodes (strings -> json).
			Modul funk: im Setting vorerst deaktiviert, README aktualisiert.
			home (util): Status-Infos im Home-Menü zu Sofortstart + Downloads ergänzt 
			(Tag summary).			

30.04.2023 4.7.0
			ARDPagination: get_page_content -> get_json_content (übersehen in V4.6.9).
			get_json_content (ARD): key-Auswahl für "teasers" aktualisiert.
			full_shows: fehlenden Return-Flag zum Funktionsstart gesetzt.
			ARDStartRubrik (ARD): Cache für Startseite entfernt (obsolet - api-Call).
			time_translate (util): Info verbleibende Tage (<= 6) bis Sendungsdatum
			ergänzt, Anpassung ARDnew (get_json_content ARD_FlatListRec), Haupt-PRG
			(ARDSportMediaPlayer, ZDF_get_teaserDetails, ZDF_get_content), 3sat (Start,
			Sendereihe_Sendungen, get_teaserElement, get_zdfplayer_content, SingleBeitrag).
			get_page (util): Rückgabe new_url bei Exeption auf leer geändert (Reuse
			praktisch ausgeschlossen). 
			GetJsonByPath (util): Rückabe mit error-Text.
			Audiothek: skip personenbezogene Beiträge (leer) in Audio_get_homescreen,
			globale Var AUDIOSENDER entfernt - obsolet.
			ZDF-Mediathek: komplett überarbeitet (Umstellung zdf.de -> zdf-cdn), einschl.
			Serien-Erkennung.
			ZDF-tivi: Sendereihe ZDFchen hinzugefügt.
			TagesschauXL: Menüs der Livestreams an ARD-Änderungen angepasst (json-Quellen
			-> ../livestreams/index.html), dto. Auswertung zu Tagesschau-Menüs + Tages-
			themen. Wegfall Menüs: Nachtmagazin, Sendungsarchiv, #kurzerklaert, Weitere
			Themen.

16.04.2023 4.6.9
			Audio_get_items_single (Audiothek): Fix img-Auswertung (fehlte: '"').
			get_page_content (ARD): neues Blockmerkmal nach ARD-Änderung (images).
			seconds_translate (util): str(seconds) ergänzt für json-Werte.
			ARDnew: Auswertung umgestellt (get_page_content -> get_json_content) für
			ARDSearchnew, ARDStartRubrik, ARDRubriken, SendungenAZ_ARDnew, ARDStart,
			ARDStartRegion, MainNEW, ARDVerpasstContent, ARDStartSingle.
			menu_hub (TagesschauXL): get_page_content -> get_json_content
			get_foruminfo (tools): Anpassung Forum-Hinweis an Forum-Update. 
			get_summary_pre (util): Code für ARDClassic entfernt (obsolet).
			ARDSportWDR: Event NORDISCHE SKI-WM -> "Event-Archiv.
			ARDSportMediaPlayer (ARDSportWDR): Datum Stream-Verfügbarkeit in Player-
			Daten ergänzt (weggefallen in html-Quellen). 

09.04.2023 4.6.8
			get_forms (funk): Anpassung int/float für Bandbreite , Sortierung via
			lambda-Funktion, Abgleich für Sofortststart umgestellt auf Auflösung 
			(bandw unsicher in Kodi Leia).
			get_streams_api_opa (arte): Filterung audioLabel "Deutsch" bei Sofortstart,
			Blockbegrenzung formitaeten erweitert (creationDate), um alle Streams zu
			erfassen.
			get_ArtePage (arte): Ausgabe page_start, page_end verkleinert.
			get_page_content (ARD): Subrubrik "Übersicht" in Listen entfernt 
			(rekursiv für akt. Seite), Ordner-Icon für fehlende Icons ergänzt,
			Auswertung summ in get_summary_pre begrenzt (mehrfach==False).
			ARDStart (ARD): Wechsel Web-Call -> api-Call (embedded json identisch), 
			Funktionen ARDRetro + ARDSportneu entfernt, Anpassungen in Main_NEW,
			Verkleinerung pageSize auf 1 für img_preload.
			ARDRubriken: Anzahl Subrubriken-1 (get_page_content: Wegfall "Übersicht").

02.04.2023 4.6.7
			time_translate (util): Startdatum Sommerzeit 2023 von 27 auf 26 korrigiert,
			2020 + 2021 aus Tabelle entfernt.
			Audio_get_sendung (Audiothek): tag-Info in Plot für MP3-Beiträge ergänzt.
			ARD Audiothek: Podcast-Favoriten aktualisiert (Datei podcast-favorits.txt).
			Audio_get_search_cluster (Audiothek): Web-Link durch api-Link ersetzt,
			einschl. korrekter node_id, Auswertung der Rubriken via Web-Link über
			Audio_get_cluster_rubrik.
			get_teaserElement (my3Sat + Haupt-PRG): Unterverz. SophoraTeaser in TEXTSTORE
			für Loader-Beiträge genutzt (Performance).
			Haupt-PRG: künftige Skin-Anpassung via Liste - Anpassung settings.xml
			(pref_content_type_tvshows -> pref_content_type).
			arte_lang.json: Begriff Startseite ergänzt (in Abgrenzung zu "einschließlich
			Startseite").
			thread_getfile: Monitor-Abbruch ergänzt via os.remove(DL_CHECK) bei Download-
			Exceptions (Bsp.: HTTP Error 403). 
			test_downloads: Router-kompatible Behandl. für title_org ("\n" -> "||").
			SingleBeitrag (phoenix): Youtube nicht mehr zugänglich - Auswertung vorerst 
			abgestellt, Info-Texte geändert, Browser-Link eingeblendet, Suchbutton 
			beibehalten.
			Modul funk: Funktionsaufrufe repl_json_chars -> valid_title_chars (Ersetzung
			Sonderzeichen = Fass ohne Boden).

26.03.2023 4.6.6
			KikaninchenFilme (Modul child): Quelle geändert ../filme-122.html -> 
			../filme-122.json (mit html nur noch 1 film erreichbar), Anpassung mit
			alternativer m3u8-Url in Kikaninchen_VideoSingle (<adaptiveHttp..Url>).
			Kika_Start (Modul child): quote(title) für + in Titel (Bsp. PUR+) und
			repl_json_chars für Titel, Verkettung mit Folgeblock bei Subchanneln und
			identischer structureBrand-ID.
			Suche in ARD-Audiothek: Umstellung Web -> json nach ARD-Änderungen - 
			Anpassungen in AudioSearch, AudioSearch_cluster, Audio_get_search_cluster,
			Audio_get_webslice, Audio_get_items_single.
			
19.03.2023 4.6.5
			Audio_get_homescreen (Audiothek): Listeneinträge ohne Titel übersprungen
			(z.B. in Entdecken -> Exklusive Podcasts).
			LiveRecord (Modul util): popen-Rückmeldung "None args" für LibreElec 11 
			ergänzt.
			arte-Modul: Erweiterung für unterstützte Sprachen - neue Funktion L, neue
			Icons arte_Mediathek, arte_lang + arte_live, Anpassungen: Modulkopf, Main_arte,
			arte_Search, Kategorien, ArteCluster, home (util), update_single (Modul EPG),
			neue Datei ../resources/arte_lang.json, Anpassungen der wichtigsten Fehler-
			meldungen, Hinweis auf plugin.video.tyl0re.arte im Haupt-PRG entfernt.

05.02.2023 4.6.4
			SingleBeitrag (phoenix): Button ARDundZDF-Suche bei Youtube-Videos ergänzt,
			Leitthema-Stil geändert (fett statt rot).
			DownloadExtern (util): Länge Zielpfad berücksichtigt für max. Länge in
			make_filenames.
			yt_get (Modul yt): Info-Text mit Hinweis zur Downloadsperre ergänzt.
			SearchARDundZDFnew:	ARD-Suchpfad an ARDSearchnew angepasst (page.ardmediathek
			-> api.ardmediathek).
			ARDSearchnew: Blankbehandlung für Merkliste (' ' -> '+') entfernt.
			Audio_get_items_single (Audiothek): Text "Bild: " in Param attr ergänzt.
			Audiothek: Download Livestreams unterdrückt in AudioPlayMP3, Warnhinweis in
			AudioStart entfernt.
			ArteCluster (arte): Button "Programme in UHD-Qualität" in Startseite ergänzt.		

26.02.2023 4.6.3
			ARDStart (ARDnew): "Regionales"-Menü mit passenden Icons ergänzt.
			GetContent (phoenix): Notification bei leerer Auswertung.
			Streamlisten: Auflösung mit "kbit" ergänzt in form_HBBTV_Streams, 
			ARDStartVideoMP4get, ARDStartVideoHBBTVget, build_Streamlists,
			ZDF_getApiStreams, Kika_VideoMP4get.
			ARD_get_strmStream: mit json-Auswertung angepasst für ARDStartVideoHLSget
			und ARDStartVideoMP4get.
			XLGetSourcesPlayer, XLGetVideoLists (TagesschauXL): wie ARD_get_strmStream.
			SendungenAZ (Modul my3sat): Titel-Auswertung an href-Link gebunden nach
			3sat-Änderung.
			SendungenAZ_ARDnew (ARDnew): quotierte Marks entfernt (führten zu leeren
			Titeln).
			ARDSearchnew (ARDnew): api-Suche umgestellt page-gateway/widgets  -> 
			search-system/mediathek, um Videos von Sendereihen zu erfassen (Bsp. 
			"2 für 300").
			seconds_translate (util): Ausschluss Basis 1000 (Bsp. 864.0) - nötig
			für umgestellte ARD-api-Suche.
			ARDSportMedia (ARD Sportschau.de): html-Tags in summary entfernt.
			Verz. resources/lib/: Datei util.pyc gelöscht (Herkunft unklar).
			JobStop (epgRecord): int-error abgefangen bei leerer Prozess-ID pid.
			ZDFSourcesHBBTV: Auswertung Qualität "q5" für UHD-Streams (Forumhinweis
			@bazi98) - Anpassung form_HBBTV_Streams und add_UHD_Streams.
			StreamsShow: Austausch 'Bitrate unbekannt' -> 'Bitrate ?' und für 
			Auflösung 'unbekannt' -> '?'.
			m3satSourcesHBBTV: Auswertung UHD-Streams vorbereitet ("h265_aac_mp4_*".
			Settings: 3840x2160 bei "Videoqualität bei Sofortstart" hinzugefügt.
			livesenderTV.xml: fehlende Web-Icons in "ARD Audio Event Streams" durch
			Addon-Icons ersetzt.
			decode_url (util): line.replace(u'%C4%87', u'Ä') ergänzt.
			ARDSportWDR: Event + Archiv aktualisiert (Handball-WM -> SKI-WM).

19.02.2023 4.6.2
			adjust_line (updater): Fix invalid literal for int() with base 10: '19.'
			arte-Modul: Anfang- und Ende-Markierungen embedded json-code aktualisiert
			(get_ArtePage), json-keys in ArteCluster aktualisiert.
			TagesschauXL: Umzug der Webseite (tagesschau.de -> ardmediathek.de), Url
			aktualisiert (api-Call), Anpassung menu_hub (Nutzung ARDnew.get_page_content).
			ARDStart (ARDnew): Fix quote marks in Titel (repl_json_chars(title)), Fix 
			Titel und Path in regio_check + addDir-Button ergänzt.
			Modul EPG: Laden des Moduls util abhängig sys.argv (leeres textviewer-Fenster
			bei try/except-Variante), unescape für sname (Sendungstitel).
			addDir ((util): py2_encode(EPG_ID) für Auswertung in Modul EPG.
			Modul ARDnew: HBBTV-Quellen ergänzt, Umstellung MP4- + HLS-Quellen -> json, 
			Anpassungen ARDStartSingle, ARDStartVideoHLSget, ARDStartVideoHBBTVget,
			einschl. UHD-Erkennung.
			get_summary_pre (util): ZDF-Bereich erneuert, Doppel entfernt, Darsteller
			und Stab erfasst, Zusatztext aus html-Bereich erfasst (Bsp.: Herr der Ringe).
			
			

12.02.2023 4.6.1
			GetContent (Modul arte): '\n'-Ersetzung in summary (router-kompatibel).
			build_Streamlists_buttons: UHD-Kennzeichnung im Titel der HLS-Liste für
			Arte ergänzt.
			time_translate (Modul util): Ergänzung Tabelle summer_time mit Sommerzeit
			2023 (rel. ab 27.03.). 
			Settings "Modul-Einstellungen": Text "Inhaltstyp TV-Shows" ergänzt mit 
			"zeigt Abspielstatus für Videos".
			PlayVideo(Modul util): seek für ARD-Livestream bei Nutzung des inputstream-
			Addons entfernt (Zeit-Puffer wird bei Leia, Matrix, Nexus korrekt gesetzt). 
			README, Wiki: aktualisiert (kodinerds-Links, Bilder).
			Modul EPG: flexiblere Importanweisung für util-Modul (Haupt-PRG/Kontextmenü),
			notwendig für Kontext-Option "EPG".
			Menü TV-Livestreams: ergänzt mit Kontext-Option "EPG", Anpassungen in addDir
			(util) und Modul EPG.
			Modul my3sat: HBBTV-Quellen ergänzt - Anpassungen SingleBeitrag (Param weburl
			für build_Streamlists -> m3satSourcesHBBTV), neue Funktionen m3satSourcesHBBTV
			und form_HBBTV_Streams, Nutzung add_UHD_Streams (bisher keine gefunden).
			SingleBeitrag (my3sat): Ermittlung videodat_url aktualisiert (Lokalisierung,
			ngplayer_2_3 -> ngplayer_2_4).
			get_pagination (ARDnew): Sicherung 'null' ergänzt.
			ARDStart (ARDnew): Ergänzung für regionale Inhalte nach Katalog (Sender, Titel,
			Url).

31.01.2023 4.6.0
			build_Streamlists_buttons: UHD-Kennz. im Titel bei UHD-Streams in den 
			Stream-Listen.
			Anpassung für Kodi 10 Nexus (alle Module): Aufruf check_AddonXml-Call 
			"..version="3.0.0" ersetzt durch "..version="3.", Modul updater: Nexus in
			adjust_line ergänzt (addon id, python-Version).
			Main_NEW (ARDnew): Status CurSender angepasst für Kodi Nexus ->
			(up_low(str(CurSender))).
			util: fehlenden Abgleich für Anpassung an Kodi 10 Nexus ergänzt.
			get_streams_api_v2 (Modul arte): Ergänzung HLS-Liste mit UHD-Streams.

22.01.2023 4.5.9
			Audio_get_webslice (Audiothek): json-Extraktion wie get_ArtePage (channel-
			Data fehlten).
			Arte-Modul: Erweiterung mit EPG  für Heute - neue Funktion EPG_Today, Anpas-
			sung Main_arte und GetContent.
			build_Streamlists: UHD-Streams für Testbetrieb ergänzt - neue Funktion
			add_UHD_Streams.
			url_check (Modul util): Fehler-Dialog optional für add_UHD_Streams.

16.01.2023 4.5.8
			Kika_Series: Berücksichtigung broadcastSeries (bisher nur videoSubchannel),
			Berücksichtigung fehlende Subchannels.
			Kika_get_singleItem + Kika_Rubriken: skip mainNavigation.
			update_single (Modul EPG): Fix Vorbelegung für komplette Liste, Fix Abbruch
			nach Dialog "eigene Auswahl oder Liste?" (verhinderte kompletten Abgleich).
			Kika_Rubriken: Notification bei fehlendendem Video (z.B interactiveContent).
			InfoAndFilter: Anzeige akt. Info-Stand im Button Einzelupdate + neue Funktion
			tools.get_foruminfo, Anzeige akt. Füllstand im Button "Kodis Thumbnails-
			Ordner bereinigen".
			ARDSportWDR (sportschau.de): Event-Button "Handball-WM 2023 in Polen und 
			Schweden" ergänzt, "Fußball WM 2022 in Katar" -> ARDSportWDRArchiv verlagert.
			Arte-Modul: abweichende eingebettete json-Variante - Umstellung Auswertung 
			auf json (statt strings), Anpassungen in get_ArtePage, Beitrag_Liste, ArteMehr,
			get_img, ArteCluster, GetContent, Kategorien, arte_Search, get_next_url und
			SingleVideo.
			get_page (Modul util): redirect-Ausgabe auf 100 Zeichen beschränkt (vorher o. 
			Begrenzung).
			
************ Debug-Log bis 18.12.2022 V4.5.7 auf Github und Entwickler-PC verfügbar


